*** 5.47.11 - Apr 16 2026

Common:
- refined heating algorithm and thermal limiters for ROHM 4"/600dpi printhead

JScript:
- fixed default sensor type when omitted from the 'S' command

*** 5.47.11 - Apr 16 2026

Allgemein:
- optimierter Heizalgorithmus und thermische Begrenzer für ROHM 4"/600dpi-Druckkopf

JScript:
- Standardsensortyp korrigiert, wenn dieser im Befehl 'S' nicht angegeben wird


*** 5.47.10 - Mar 25 2026

Common:
- XC Q/XD Q: show correct 'Out of ribbon' error message when operating in single head mode
- fixed sporadic empty labels when printing on multi-web labels
- do not show tear-off peripheral button in peel mode

JScript:
- fixed support for richtext 'W' command

ZPL:
- ^BC: fixed switching code subset within data
- more robust conversion of hex encoded UTF-8 field data

*** 5.47.10 - Mar 25 2026

Allgemein:
- XC Q/XD Q: korrekte Fehlermeldung "Kein Farbband" wird im Einzelkopf-Betrieb angezeigt
- sporadisch leere Etiketten beim Drucken auf Mehrfachbahn-Etiketten behoben
- Peripherie-Button für den Abreißmodus im Spendemodus nicht anzeigen

JScript:
- Unterstützung für den Richtext-Befehl 'W' behoben

ZPL:
- ^BC: Fehler beim Wechseln des Code-Subsets innerhalb von Daten behoben
- robustere Konvertierung von Hex-kodierten UTF-8 Felddaten


*** 5.47.9 - Feb 25 2026

Intern:
- quality-assuring assembly procedure for RFID models

*** 5.47.9 - Feb 25 2026

Intern:
- qualitätssichernde Inbetriebnahme-Prozedur für RFID-Modelle


*** 5.47.8 - Feb 16 2026

Common:
- eliminated extra cut when resuming from pause in jobs using 'Cut before job' (JScript 'Cs')
- fixed sporadic wrong 'No printhead' error on startup
- fixed Dutch translations
- button settings in 'Display' menu are also used for the corresponding buttons in error dialog

JScript:
- date calculations support years passing 2038

ZPL:
- ^FB: support bidirectional text layout, e.g. Hebrew, Arabic
- ^LS, ^LT: support negative offsets

*** 5.47.8 - Feb 16 2026

Allgemein:
- zusätzlichen Schnitt beim Fortsetzen aus Pause bei Jobs mit ‚Schnitt vor Job' (JScript ‚Cs') beseitigt
- sporadisch auftretenden falschen Fehler 'Kein Druckkopf' beim Start behoben
- Niederländische Übersetzungen korrigiert
- Button-Einstellungen im Menü ‚Anzeige' werden auch für die entsprechenden Buttons im Fehlerdialog verwendet

JScript:
- Datumsberechnungen unterstützen Jahreszahlen über 2038 hinaus

ZPL:
- ^FB: Unterstützung für bidirektionales Textlayout, z.B. Hebräisch, Arabisch
- ^LS, ^LT: Unterstützung für negative Werte


*** 5.47.7 - Jan 22 2026

Common:
- support for TrueType fonts that do not use the Unicode charmap table
- fixed formatting of SD memory cards

ZPL:
- ~HS: fixed returned counter value for 'number of formats in buffer' and 'labels remaining in batch'
- ~JA: only delete the data before the ~JA in the input buffer
- support for chained GS1 AIs in Code128, QR code and Data Matrix
- support escape sequences, e.g. '&gt;' in XML printing
- fixed buffer overflow when expanding tabs in field data

Security:
- CVE-2025-66293: updated libpng to version 1.6.53

*** 5.47.7 - Jan 22 2026

Allgemein:
- Unterstützung für TrueType Fonts welche nicht die Unicode Charmap Tabelle verwenden
- Formatieren von SD-Karten korrigiert

ZPL:
- ~HS: Zählerwert für 'number of formats in buffer' und 'labels remaining in batch' korrigiert
- ~JA: nur Daten im Eingangspuffer löschen welche vor dem ~JA Kommando liegen
- Unterstützung für verkettete GS1-AIs in Code128, QR-Code und Data Matrix
- Unterstützung von Escape-Sequenzen, z. B. '&gt;' beim XML-Drucken
- Pufferüberlauf beim Expandieren von Tabulatoren in Felddaten behoben

Sicherheit:
- CVE-2025-66293: libpng auf Version 1.6.53 aktualisiert


*** 5.47.6 - Dec 12 2025

Common:
- fixed confirming errors with simultaneously sending I/O signals RSTERR and JOBDEL
- the setting to disable the buttons Cancel and Feed in the main display screen is also considered in the error dialog
- fixed reading and setting applicator parameters on startup when using a default label
- accept WiFi password in PSK Hex format
- fixed setting 'Block USB ports' for USB-A ports on AXON 1

ZPL:
- ^BQ accepts magnification factors up to 100
- ^BR fixed positioning of rotated code
- ^CF fixed configuration of a custom font to be used as default font
- ^FB fixed line spacing for custom fonts
- support XML printing: loading template file and replacing fields with variable data from XML

Security:
- CVE-2025-64720, CVE-2025-65018: updated libpng to version 1.6.51
- CVE-2025-59375, CVE-2024-8176: updated expat to version 2.7.3
- CVE-2025-58050: updated pcre2 to version 10.47
- CVE-2025-6965: updated sqlite to version 3.50.4
- CVE-2023-51767: updated openssh to version 10.2p1

*** 5.47.6 - Dec 12 2025

Allgemein:
- Bestätigung eines Fehlers mittels gleichzeitigem Senden der E/A-Signale RSTERR und JOBDEL korrigiert
- Einstellung um die Buttons 'Abbrechen' und 'Vorschub' in der Hauptansicht des Displays zu deaktivieren wird auch in Fehlerdialogen berücksichtigt
- Lesen und Setzen von Applikator-Parametern bei Verwendung eines Standardetikett beim Druckerstart korrigiert
- WLAN-Passwort kann im PSK Hex-Format angegeben werden
- Einstellung 'USB-Ports sperren' für USB-A Ports beim AXON 1 korrigiert

ZPL:
- ^BQ akzeptiert Vergrößerungsfaktoren bis 100
- ^BR Positionierung bei rotierter Darstellung korrigiert
- ^CF Konfiguration eines externen Fonts als Standard-Fonts korrigiert
- ^FB Zeilenabstand bei Verwendung externer Fonts korrigiert
- Unterstützung für XML-Drucken: Laden eines Templates und Ersetzen von Feldern mit variablen Daten aus XML Datenstrom

Sicherheit:
- CVE-2025-64720, CVE-2025-65018: libpng auf Version 1.6.51 aktualisiert
- CVE-2025-59375, CVE-2024-8176: expat auf Version 2.7.3 aktualisiert
- CVE-2025-58050: pcre2 auf Version 10.47 aktualisiert
- CVE-2025-6965: sqlite auf Version 3.50.4 aktualisiert
- CVE-2023-51767: openssh auf Version 10.2p1 aktualisiert


*** 5.47.5 - Nov 04 2025

Common:
- fixed export of system log via web interface diagnostic site

ZPL:
- ^BR: fixed stacking of GS1 Databar Expanded
- ^HH: implemented command
- ~HS: completed host status to include 'uuuuuuuu' (remaining labels in batch) and 'r' (print mode)

PJL:
- use the default language interpreter if no '@PJL ENTER LANGUAGE' command is provided
- do not return page status information for pages outside the range specified by '@PJL JOB START=x END=y'

Security:
- CVE-2025-8176, CVE-2025-8177: updated libtiff to version 4.7.1
- CVE-2025-6395, CVE-2025-32989: updated gnutls to version 3.8.10

*** 5.47.5 - Nov 04 2025

Allgemein:
- Exportieren des System-Logs via Diagnose-Seite des Webinterfaces korrigiert

ZPL:
- ^BR: Stapeln des GS1 Databar Expanded Barcodes korrigiert
- ^HH: Befehl implementiert
- ~HS: Host-Status erweitert um 'uuuuuuuu' (Verbleibende Etiketten im Job) und 'r' (Druckmodus)

PJL:
- Standard-Sprachinterpreter wird verwendet, falls kein '@PJL ENTER LANGUAGE' Befehl vorhanden ist
- keine Seitenstatus-Informationen für Seiten außerhalb des durch '@PJL JOB START=x END=y' definierten Bereichs

Sicherheit:
- CVE-2025-8176, CVE-2025-8177: libtiff auf Version 4.7.1 aktualisiert
- CVE-2025-6395, CVE-2025-32989: gnutls auf Version 3.8.10 aktualisiert


*** 5.47.4 - Oct 10 2025

Common:
- fixed firmware downgrade from 5.47.[0-3] to versions older than 5.44
- fixed restoring saved label positions on startup for printers with no backfeed
- added PJL interpreter to SNMP Printer-MIB tables
- omit cuts after a feed at positions of a previous cut for continuous media

ZPL:
- ^BQ: added support to encode GS1 data in QR code
- ^BX: added support to encode GS1 data in Data Matrix code

*** 5.47.4 - Oct 10 2025

Allgemein:
- Downgrade der Firmware von Version 5.47.[0-3] auf Versionen älter als 5.44 korrigiert
- Laden von gespeicherten Etikettenkanten beim Aufstart für Modelle ohne Rückzug korrigiert
- PJL-Interpreter in den SNMP Printer-MIB Tabellen hinzugefügt
- Schnitte nach Feed und an Positionen wo bereits geschnitten wurde bei Endlosmaterial unterdrücken

ZPL:
- ^BQ: Unterstützung zur Codierung von GS1-Daten im QR-Code
- ^BX: Unterstützung zur Codierung von GS1-Daten im Datamatrix-Code


*** 5.47.3 - Sep 24 2025

Common:
- support GUI setting 'Ignore paper end' in ZPL mode

ZPL:
- ^BQ: fixed Y-positioning of QR code when position was defined using ^FT command
- ^BQ: consider height of ^BY command for Y-positioning of QR code
- ^FP: support for horizontal/vertical text direction and additional inter-character gap
- ~HS: completed host status to include 'eee' (number of formats in receive buffer), 'f' (buffer full flag) and 'h' partial format flag

*** 5.47.3 - Sep 24 2025

Allgemein:
- GUI Einstellung 'Papierende ignorieren' im ZPL-Modus unterstützen

ZPL:
- ^BQ: Y-Positionierung des QR-Codes korrigiert wenn Position mittels ^FT-Kommando definiert wurde
- ^BQ: Höhe des ^BY-Befehls wird bei der Y-Positionierung des QR-Codes berücksichtigt
- ^FP: Unterstützung für horizontale/vertikale Text-Richtung und zusätzlicher Abstand zwischen Buchstaben
- ~HS: Host-Status erweitert um 'eee' (Anzahl der Formate im Empfangspuffer), 'f' (Buffer-Full-Flag) und 'h' (Partial-Format-Flag)


*** 5.47.2 - Sep 15 2025

Common:
- recover from sporadic loss of label sensor calibration data when powering printer off during print operations
- fixed GUI wizard creating IEEE 802.1X configuration
- fixed 'Reset settings' for non RFID-enabled models
- improved detection of ribbon when printing in thermal direct mode

ZPL:
- ^BR: support for all symbologies in the GS1 DataBar family
- ^BX: accept up to 144 columns/rows to encode
- ^HZ: added support for description types f, l, o and r

SOTI:
- support /TEMP drive in import of resources, e.g. certificates

*** 5.47.2 - Sep 15 2025

Allgemein:
- Wiederherstellung bei sporadischem Verlust der Etikettensensor-Kalibrierdaten beim Ausschalten des Druckers während des Druckvorgangs
- IEEE 802.1X Konfiguration über GUI-Wizard korrigiert
- Funktion 'Einstellungen zurücksetzen' für Modelle ohne RFID-Option korrigiert
- Erkennung von eingelegtem Farbband im Thermo-Direkt Modus verbessert

ZPL:
- ^BR: Unterstützung für alle Symbologien der GS1 DataBar-Familie
- ^BX: Max. bis zu 144 zu kodierende Spalten/Zeilen akzeptieren
- ^HZ: Unterstützung für Beschreibungstypen f, l, o und r hinzugefügt

SOTI:
- Unterstützung des /TEMP Laufwerks für den Import von Ressourcen, z.B. Zertifikaten


*** 5.47.1 - Aug 11 2025

Common:
- update configuration of network services when printer model name changes
- fixed startup without connected front panel

RFID:
- support for ROHM 4"/600 RFID printhead

abc:
- open() function of serial device /dev/rs232 allows to configure number of data bits

ZPL:
- fixed restoring value of menu setting 'Print width' on 6" and 8" models
- ^BC with mode 'D': fixd interpretation of '>8' (FNC1)

SOTI:
- update to API version 2
- extended data fields in printhead info
- support to load printer configuration files
- case-insensitive handling of file extension in resource file names

*** 5.47.1 - Aug 11 2025

Allgemein:
- Konfigurationen von Netzwerkdiensten werden bei Änderung des Modellnames aktualisiert
- Aufstart ohne angeschlossenes Bedienfeld korrigiert

RFID:
- Unterstützung für den ROHM 4"/600 RFID Druckkopf

abc:
- in der open()-Funktion des seriellen Geräts /dev/rs232 kann die Anzahl Datenbits konfiguriert werden

ZPL:
- Laden der Menü-Einstellung 'Druckbreite' bei 6" und 8"-Modellen korrigiert
- ^BC mit Modus 'D': Interpretation von '>8' (FNC1) korrigiert

SOTI:
- Aktualisierung auf API Version 2
- erweiterte Datenfelder bei den Druckkopf-Informationen
- Unterstützung für das Laden von Drucker-Konfigurationen
- Groß-/Kleinschreibung bei Dateierweiterungen in Ressourcendateinamen wird nicht beachtet


*** 5.47 - Jul 22 2025

Common:
- DHCP client reports updated host name when it has been changed
- support compose keys in Czech keyboard
- fixed decoding of TIFF images

Peripherals:
- support for new HQ applicator models

RFID:
- fixed reading TID with correct length when using specific RFID 'TID length' setting

abc:
- new poke for opening or closing the onscreen keyboard of a line edit.

OPC UA:
- added firmware update functionality according to DI Specification

SOTI:
- extended printhead information

Security:
- CVE-2021-30004: updated wpa_supplicant to version 2.11

*** 5.47 - Jul 22 2025

Allgemein:
- DHCP-Client meldet aktualisierten Hostname wenn dieser geändert wurde
- Unterstützung für Compose-Tasten in tschechischer Tastatur
- Dekodierung von TIFF-Bildern korrigiert

Peripherie:
- Unterstützung für neue HQ Applikator Modelle

RFID:
- Fehler beim Lesen der TID mit korrekter Länge bei Verwendung der spezifischen RFID-Einstellung 'TID-Länge' behoben

abc:
- neues poke zum Öffnen oder Schließen der Bildschirmtastatur für Eingabefelder

OPC UA:
- Funktionalität zur Firmware-Aktualisierung gemäß DI Spezifikation

SOTI:
- Informationen zum Druckkopf erweitert

Sicherheit:
- CVE-2021-30004: wpa_supplicant auf Version 2.11 aktualisiert


*** 5.46.4 - Jun 03 2025

Common:
- fixed internal continuous label positions for models which do not support back feeding
- more robust handling of temporary disconnected peripheral devices
- FTP Passive Mode uses port numbers in the range 30000 to 31000
- Czech keyboard layout: added missing keys for uppercase letters with diacritical marks

JScript:
- ESCj: fixed updating the latest print job
- fixed default print speed when H-command does not include the speed parameter

ZPL:
- ^IS, ^IL: fixed positioning of template image

abc:
- fixed deadlock in device close

OPC UA:
- fixed updating of 'LastJob' node (ns=3;i=10037)

*** 5.46.4 - Jun 03 2025

Allgemein:
- interne Etikettenpositionen bei Endlosmaterial für Modelle ohne Rückzug korrigiert
- robusteres Verhalten bei kurzzeitig abgemeldeten Peripheriegeräten
- FTP Passive Modus verwendet Portnummern im Bereich 30000 bis 31000
- Tschechisches Tastaturlayout: fehlende Großbuchstaben mit Akzentzeichen hinzugefügt

JScript:
- ESCj: Aktualisierung des letzten Druckjobs korrigiert
- Standarddruckgeschwindigkeit korrigiert wenn H-Kommando ohne Geschwindigkeitsparameter angegeben wird

ZPL:
- ^IS, ^IL: Positionierung der Druckbildvorlage korrigiert

abc:
- Deadlock beim Schließen eines Devices korrigiert

OPC UA:
- Aktualisierung des Knotens 'LastJob' (ns=3;i=10037) korrigiert


*** 5.46.3 - May 13 2025

Common:
- support for HERMES Q2 RFID model
- support for HERMES Q6 RFID model

Security:
- CVE-2025-29088, CVE-2025-3277: updated sqlite to version 3.49.1

Peripherals:
- CU4: fixed initialization/synchronisation of cutter

*** 5.46.3 - May 13 2025

Allgemein:
- Unterstützung für das HERMES Q2 RFID Modell
- Unterstützung für das HERMES Q6 RFID Modell

Sicherheit:
- CVE-2025-29088, CVE-2025-3277: sqlite auf Version 3.49.1 aktualisiert

Peripherals:
- CU4: Initialisierung/Synchronisierung des Messers korrigiert


*** 5.46.2 - May 05 2025

Common:
- increased max. length of WiFi password in AP-mode (Hotspot) to 63

JScript:
- XC Q, XD Q: query for the remaining diameter of the ribbon reports the smaller value of the two rolls. Fixed toggling of value.

ZPL:
- ^BX: do not evaluate escape sequence control character in barcode data if not defined in command parameters
- ^XF: support format file names longer than 8 characters

OPC UA:
- fixed reference type of DI nodes

abc:
- eliminated memory leaks

Security:
- CVE-2022-0908: updated libtiff to version 4.7.0
- CVE-2020-22218: updated libssh2 to version 1.11.1

*** 5.46.2 - May 05 2025

Allgemein:
- max. Länge des WLAN-Passworts im AP-Modus (Hotspot) auf 63 erhöht

JScript:
- XC Q, XD Q: Abfrage des Transferfolien-Restdurchmessers meldet den kleineren Wert der zwei Rollen. Umschalten des Wertes behoben.

ZPL:
- ^BX: Escape-Sequenz-Steuerzeichen in Barcode-Daten nicht auswerten, wenn es in den Kommando-Parametern nicht definiert wurde
- ^XF: Unterstützung für Format-Dateinamen mit einer Länge größer als 8 Zeichen

OPC UA:
- Referenz-Typen von DI-Knoten korrigiert

abc:
- Speicherlecks eliminiert

Sicherheit:
- CVE-2022-0908: libtiff auf Version 4.7.0 aktualisiert
- CVE-2020-22218: libssh2 auf Version 1.11.1 aktualisiert


*** 5.46.1 - Apr 11 2025

Common:
- do not show peripheral button in tear-off mode for models not supporting backfeed
- XC Q, XD Q, SQUIX T models: fixed default for setting 'Await follow-up job'

*** 5.46.1 - Apr 11 2025

Allgemein:
- Peripherie-Button im Abreißmodus bei Modellen ohne Rückzug nicht anzeigen
- XC Q, XD Q, SQUIX T-Modelle: Standardwert für Einstellung 'Folgeauftrag abwarten' korrigiert


*** 5.46 - Mar 31 2025

Common:
- support for new HERMES QL models
- peripheral button in tear-off mode to feed paper back to top of form at end of job
- renamed option 'Double print optimization' to 'Await follow-up job' and now available for all models without backfeed support (XC Q, XD Q, SQUIX T models)
- improved completion of continuous labels (printing and cutting) before the 'Out of paper' error
- on a 'Out of paper' error in print jobs including a 'Cs' (cut before job), a cut is performed before the next label when resuming with "Reprint" or "Continue"
- fixed rendering of 90° rotated richtext fields
- fixed keyboard operation of menu items with a checkbox
- new internal network manager to handle all network related configurations, actions and dependencies
- fixed private key upload via web interface

JScript:
- support for Rectangular Micro QR Code (rMQR Code)
- 'H' command: new option 'S' to activate paper saving on continuous media. Printer eliminates the blank area at the end of a label
- 'I' command: support +EXTERN option for external barcode or image validation
- 'E SQLITE' command: use record separator (ASCII 0x1E) to separate records in database result set

ZPL:
- ^FT: support field concatenation using ^FT command without parameters
- parser supports line breaks between command prefix and command
- ignore invalid ASCII chars within ASCII download data

abc:
- new poke command "gui.mycombo.index" to get index of selected entry in combobox
- fixed input mask of "gui.lineedit" if widget has focus
- added peek commands to control external barcode validation
- added peek commands to get results of internal barcode validation
- fixed memory leak in internal duplication of symbol names
- fixed recursive calling of abc programs

OPC UA:
- new node 'Error as text' within 'Interpreter' node to get the localized error message

RFID:
- support for HERMES Q with applicator
- improved printing process when tag does not need to be read
- provide multiple calibration results and allow user to select one
- fixed handling of missing label on label roll

Peripherals:
- External control panel: improved connection initialization to printer

*** 5.46 - Mar 31 2025

Allgemein:
- Unterstützung für neue HERMES QL Modelle
- Peripherie-Button im Abreißmodus um Papier am Ende des Druckjobs an den Etikettenanfang zurückzuziehen
- Einstellung 'Doppeldruckoptimierung' umbenannt in 'Folgeauftrag abwarten' und nun verfügbar für all Modell ohne Rückzug (XC Q, XD Q, SQUIX T-Modelle)
- Abschließen von Etiketten (Drucken und Schneiden) mit Endlosmaterial vor einem 'Papier zu Ende'-Fehler verbessert
- befindet sich die Option 'Cs' (Schnitt vor Job) im Druckjob und es kommt zu einem 'Papier zu Ende'-Fehler, wird beim Fortsetzen mit "Wiederholen" oder "Weiter" ein Schnitt vor dem nächsten Etikett durchgeführt.
- nach einem Fehler bei Druckjobs mit 'Cs' (Schnitt vor Job) wird beim Fortsetzen ein Schnitt vor dem nächsten Etikett durchgeführt
- Fehler beim Rendern von um 90° gedrehten Richtext-Feldern behoben
- Tastatur-Bedienung von Menüeinträgen mit einer Checkbox korrigiert
- neuer interner Netzwerkmanager zur Verwaltung aller netzwerkbezogenen Konfigurationen, Aktionen und Abhängigkeiten
- Laden eines privaten Schlüssels via Webseite korrigiert

JScript:
- Unterstützung für Rectangular Micro QR Code (rMQR Code)
- 'H'-Befehl: neue Option 'S' um Papiersparen bei Endlosmaterial zu aktivieren: Der Drucker eliminiert den weißen Bereich am Ende eines Etiketts
- 'I'-Befehl: Unterstützung für die Option +EXTERN zur externen Barcode- oder Bild-Validierung
- 'E SQLITE'-Befehl: Verwende ASCII 0x1E (record separator) um Datensätze im Ergebnissatz zu trennen.

ZPL:
- ^FT: Unterstützung für Verkettung von Feldern mittels ^FT-Befehl ohne Parameter
- Parser unterstützt Zeilenumbrüche zwischen Kommando-Prefix und Kommando
- ungültige ASCII-Zeichen innerhalb von ASCII-Download-Daten werden ignoriert

abc:
- neuer poke-Befehl "gui.mycombo.index" zum Abrufen des Index des ausgewählten Eintrags in der Combobox
- Eingabemaske von "gui.lineedit" korrigiert, wenn Widget den Fokus hat
- neue peek-Befehle zur Steuerung der externen Barcode-Validierung hinzugefügt
- neue peek-Befehle zum Abrufen der Ergebnisse der internen Barcode-Validierung hinzugefügt
- Speicherleck bei der internen Duplizierung von Symbolnamen behoben
- Unterstützung für rekursive Aufrufe von abc-Programmen wiederhergestellt

OPC UA:
- neuer Knoten 'Error as text' innerhalb des 'Interpreter'-Knotens, um die lokalisierte Fehlermeldung zu erhalten

RFID:
- Unterstützung für HERMES Q mit Applikator
- verbesserter Druckprozess, wenn das Tag nicht gelesen werden muss
- mehrere Kalibrierungsergebnisse bereitstellen und dem Benutzer die Auswahl ermöglichen
- Handhabung von fehlenden Etiketten auf der Etikettenrolle behoben

Peripherie:
- Externes Bedienfeld: Verbindungsaufbau zum Drucker stabiler gemacht


*** 5.45.8 - Feb 25 2025

JScript:
- fixed memory initialization in ASC image decoder
- Data Matrix: added support for all DMRE sizes (ISO/IEC 21471)

*** 5.45.8 - Feb 25 2025

JScript:
- Speicherinitialisierung in der Dekodierung von ASC Bildern korrigiert
- DataMatrix-Code: Unterstützung für alle DMRE Größen (ISO/IEC 21471)


*** 5.45.7 - Feb 12 2025

Common:
- XD Q, XC Q: omit invalid 'Out of ribbon' error after confirming a regular 'Out of paper' error

*** 5.45.7 - Feb 12 2025

Allgemein:
- XD Q, XC Q: falsche Fehlermeldung 'Folie zu Ende' nach Bestätigung eines regulären 'Papier zu Ende' Fehlers entfernt


*** 5.45.6 - Feb 03 2025

JScript:
- ESCxin: fixed bug in command parsing
- E SQLITE: fixed connection to local database file when using other network interfaces (e.g. WiFi)

ZPL:
- ^BX: fixed handling of 'Escape Sequence Control Character' within Hex encoded data
- ~DY: support for downloading PNG files

Peripherals:
- Label File Selection Box: fixed handling if selected label is not available

*** 5.45.6 - Feb 03 2025

JScript:
- ESCxin: Fehler beim Parsen des Kommandos korrigiert
- E SQLITE: Fehler im Verbindungsaufbau zu einer lokalen Datenbank bei Verwendung von Netzwerk-Schnittstellen (z.B. WLAN) korrigiert

ZPL:
- ^BX: Behandling des 'Escape Sequence Control Character' bei Hex kodierten Daten korrigiert
- ~DY: Unterstützung für den Download von PNG Dateien

Peripherie:
- Etiketten-Auswahlbox: Verhalten bei nicht vorhandener Etikettendatei korrigiert


*** 5.45.5 - Jan 20 2025

Common:
- fixed support for external display after updating to openssh-9.9p1

*** 5.45.5 - Jan 20 2025

Allgemein:
- Unterstützung für das externe Display nach Aktualisierung auf openssh-9.9p1 korrigiert


*** 5.45.4 - Jan 16 2025

Common:
- support *.prn and *.zpl label files in 'F1<filename>' feature
- fixed serving firmware package file when updating the firmware via the printers web site.

JScript:
- confirming the syntax error 'JScript command O D not supported' with 'Ignore' automatically sets 'O P' (Backfeed optimized)
- fixed handling of query commands 'qd', 'qe' and 'qi'
- fixed return string of ESCj command

ZPL:
- ~DG: fixed format to decode download data to always use ASCII Hex format

abc:
- function poke("usererror"): removed 'Cancel' button in error dialog

RFID:
- fixed scaling and axis in diagram 'RFID teach-in result'

OPC UA:
- fixed handling of closing a session while keeping the subscriptions

Peripherals:
- Label File Selection Box: fixed loading label files

AXON 1:
- removed unsupported option 'Wait for scan result' from 'Validation' menu

Security:
- CVE-2023-38408: updated openssh to version 9.9p1

*** 5.45.4 - Jan 16 2025

Allgemein:
- Unterstützung für *.prn and *.zpl Etikettendateien in der Funktion 'F1<Dateiname>'
- Laden des Firmware-Pakets beim Firmware-Update via Drucker-Webseite korrigiert

JScript:
- Bestätigung des Syntaxfehlers "JScript-Kommando 'O D' nicht unterstützt" mittels 'Ignorieren' setzt automatisch 'O P' (Rückzug optimiert)
- Bearbeitung der Abfragekommandos 'qd', 'qe' und 'qi' korrigiert
- Antwort des ESCj Kommandos korrigiert

ZPL:
- ~DG: Format zur Dekodierung der Daten korrigiert dass immer ASCII Hex verwendet

RFID:
- Skalierung und Achsen im Diagramm 'RFID Einmessung' korrigiert

abc:
- Funktion poke("usererror"): 'Abbrechen'-Button im Fehlerdialog entfernt

OPC UA:
- Schließen einer Session und Beibehalten von abonnierten Subscriptions korrigiert

Peripherie:
- Etiketten-Auswahlbox: Laden von Etikettendateien korrigiert

AXON 1:
- nicht unterstützte Einstellung 'Scan abwarten' aus dem Menü 'Validieren' entfernt

Sicherheit:
- CVE-2023-38408: openssh auf Version 9.9p1 aktualisiert


*** 5.45.3 - Dec 03 2024

Common:
- fixed UPC-E check sum with '3' as final digit
- XC Q: fixed image of print preview when using JScript options 'O R' and 'O X'

JScript:
- Micro QR Code: fixed selecting version using option +VERSIONx and error correction level using option +ELx
- W command: fixed memory leak in rendering of richtext fields

ZPL:
- fixed restoring menu setting 'Print width'

Security:
- CVE-2024-50602: updated expat to version 2.6.4
- CVE-2024-38428: updated wget to version 1.25.0
- CVE-2024-6197, CVE-2024-8096: updated libcurl to version 8.11.0

*** 5.45.3 - Dec 03 2024

Allgemein:
- Prüfsumme für UPC-E mit Endziffer '3' korrigiert
- XC Q: Vorschau des Druckbildes bei Verwendung der JScript-Optionen 'O R' und 'O X' korrigiert

JScript:
- Micro QR Code: Konfiguration der Version mittels +VERSIONx und der Fehlerkorrektur mittels +ELx korrigiert
- W-Kommando: Speicherleck im Rendering von Richtext-Feldern entfernt

ZPL:
- Laden der Menü-Einstellung 'Druckbreite' korrigiert

Security:
- CVE-2024-50602: expat auf Version 2.6.4 aktualisiert
- CVE-2024-38428: wget auf Version 1.25.0 aktualisiert
- CVE-2024-6197, CVE-2024-8096: libcurl auf Version 8.11.0 aktualisiert


*** 5.45.2 - Nov 06 2024

Common:
- XC Q, XD Q: fixed streched print out when using high print speeds or high heat levels

abc:
- function peek("mlength") returns measured label distance as float number

Peripherals:
- CC200: fixed triggering scanner for small labels in tear-off mode

Security:
- CVE-2024-48208: updated pureftpd to version 1.0.52

*** 5.45.2 - Nov 06 2024

Allgemein:
- XC Q, XD Q: gestrecktes Druckbild bei hohen Geschwindigkeiten oder hohem Heizlevel korrigiert

abc:
- Funktion peek("mlength") gibt gemessene Etikettendistanz als Dezimalzahl zurück

Peripherie:
- CC200: Triggern des Scanners für kleine Labels im Abreißmodus korrigiert

Sicherheit:
- CVE-2024-48208: pureftpd auf Version 1.0.52 aktualisiert


*** 5.45.1 - Oct 25 2024

Common:
- fixed cancelling a print job with a subsequent JScript 'A' command
- fixed support for large, negative Y print offsets
- more robust handling if cutter peripheral is disconnected while doing cut operations
- fixed updating of menu caption when switching languages
- fixed handling of certificates in web interface if current language is other than English
- fixed listing of attached USB devices in Device list

RFID:
- fixed cancelling a print job while doing RFID operations
- fixed internal error during tag lock operation
- on insufficient power during tag locking operations, automatically increase power

JScript:
- new parameter for 'W' command to define line spacing in rich-text fields

ZPL:
- fixed ~HQ response for supported query types HA, OD, SN, ES and UI
- more lenient processing of embedded image data with incorrect byte size argument

*** 5.45.1 - Oct 25 2024

Allgemein:
- Job-Abbruch mit anschließendem JScript 'A'-Kommando korrigiert
- Verhalten bei großen, negativen Y-Druckoffsets korrigiert
- Robusteres Verhalten wenn Messer Peripherie während Schneideoperationen abgezogen wird
- Aktualisierung der Menü-Bezeichnung beim Umstellen der Sprache korrigiert
- Konfiguration von Zertifikaten via Webseite korrigiert wenn die eingestellte Sprache nicht Englisch ist
- Auflistung von angesteckten USB-Geräten in Geräteliste korrigiert

RFID:
- Job-Abbruch während RFID-Operationen korrigiert
- interner Fehler beim Sperren eines Tags korrigiert
- bei zu niedriger Leistung beim Sperren eines Tags wird die Leistung automatisch erhöht

JScript:
- neuer Parameter für das 'W'-Kommando um den Zeilenabstand in Richtext-Feldern zu definieren

ZPL:
- ~HQ Antwort-String für Query-Typen HA, OD, SN, ES und UI korrigiert
- tolerantere Verarbeitung von eingebetteten Bilddaten bei nicht passenden Größenangaben


*** 5.45 - Sep 17 2024

Common:
- support for IPv6
- unified max. print length / label height
- ensure minimum space in bar code rendering between centered HRI line and bars
- dialog of JScript prompt [?: ] shows keypad according to input mask
- updated printer status text regarding applicator single step mode
- XD Q: eliminated blank labels on 'Stacker full' error
- AXON 1: setting 'Extrapolate labels' in mode 'Every label' supports missing labels on label roll

JScript:
- added parameters to A [PREVIEW] command to specify label number and save PNG image of label preview
- fixed checks of JScript options regarding duplex printers XD Q and XC Q
- fixed substitution of conent fields within the [OPCUALOG] function

abc:
- new function to access the printer's serial port interface
- fixed window stacking issue when using modal input dialog of numeric editor

OPC UA:
- support for peripheral device 'Input/Output Box'
- keep Node IDs fix across different firmware versions

RFID:
- new extended calibration which analyses multiple labels

Security:
- CVE-2024-45490, CVE-2024-45491, CVE-2024-45492: updated expat to version 2.6.3

*** 5.45 - Sep 17 2024

Allgemein:
- Unterstützung für IPv6
- max. Drucklänge / Etikettenhöhe vereinheitlicht
- min. Abstand zwischen zentrierter Klartextzeile und Balken in Barcodes sicherstellen
- Dialog der JScript-Eingabe [?: ] verwendet Tastenfeld gemäß Eingabemaske
- Druckerstatus ergänzt um Hinweis bzgl. Applikator Einzelschrittmodus
- XD Q: Leeretiketten beim Fehler 'Stapler voll' eliminiert
- AXON 1: Einstellung 'Etikett extrapolieren' im Modus 'Jedes Etikett' unterstützt fehlende Etiketten auf der Rolle

JScript:
- neue Parameter für A [PREVIEW] Kommando um Etikettennummer zu setzen und Vorschau als PNG-Bild abzuspeichern
- Prüfung von JScript-Optionen für Doppeldrucker korrigiert
- Ersetzen von Feldinhalten in der [OPCUALOG] Funktion korrigiert

abc:
- neue Funktion um auf die serielle Schnittstelle des Druckers zuzugreifen
- Übereinanderlegen von modalen Fenstern beim Eingabedialog des numerischen Editors korrigiert

OPC UA:
- Unterstützung für Peripherie-Gerät 'Ein-/Ausgabebox'
- Node IDs werden über Firmware-Versionen hinaus konstant gehalten

RFID:
- neue Erweiterte kalibrieren bei der mehrere Etiketten analysiert werden

Sicherheit:
- CVE-2024-45490, CVE-2024-45491, CVE-2024-45492: expat auf Version 2.6.3 aktualisiert


*** 5.44.8 - Sep 03 2024

Common:
- fixed handling of I/O input signals REPRINT and JOBDEL when set at the same time

ZPL:
- ^RF: fixed storing RFID tag data into ^FN field

Internal:
- SOTI: return statistic values ThemalTransfer and ThermalDirect as float number

*** 5.44.8 - Sep 03 2024

Allgemein:
- Behandlung von gleichzeitig gesetzten E/A Eingangssignalen REPRINT und JOBDEL korrigiert

ZPL:
- ^RF: speichern von RFID Tag-Daten in ein ^FN-Feld korrigiert

Intern:
- SOTI: Statistikwerte ThemalTransfer und ThermalDirect als Float-Zahl zurückgeben


*** 5.44.7 - Aug 01 2024

Common:
- ensure minimum space in bar code rendering between centered HRI line and bars
- XD Q/XC Q: fixed initial heat level with disabled lower print head

JScript:
- [OPCUA]: fixed terminating pending requests while canceling the print job

*** 5.44.7 - Aug 01 2024

Allgemein:
- min. Abstand zwischen zentrierter Klartextzeile und Balken in Barcodes sicherstellen
- XD Q/XC Q: initiales Heizlevel bei deaktiviertem unterem Druckkopf korrigiert

JScript:
- [OPCUA]: Beenden Server-Anfragen, während der Druckjob abgebrochen wird, korrigiert


*** 5.44.6 - Jun 25 2024

Common:
- fixed X position of 180° rotated images
- fixed internal conversion of setting 'RawIP timeout'

SOTI:
- do not restart agent when configuring inactive network interface

*** 5.44.6 - Jun 25 2024

Allgemein:
- X-Position von um 180° gedrehten Bildern korrigiert
- Interne Konvertierung für Einstellung 'RawIP-Timeout' korrigiert

SOTI:
- Kein Agent-Neustart bei Konfiguration der nicht verwendeten Netzwerk-Schnittstelle


*** 5.44.5 - Jun 14 2024

Common:
- HERMES Q: added setting 'Legacy I/O' to 'I/O' menu

JScript:
- fixed URL parsing in 'E OPCUA' command
- support TLS connection when using [OPCUA] command

ZPL:
- ^BX: fixed handling of binary or UTF-8 encoded data for Data Matrix bar code

SOTI:
- omit startup alert
- check set of LAN and WiFi settings before applying
- more specific error messages when changing printer settings

*** 5.44.5 - Jun 14 2024

Allgemein:
- HERMES Q: Menüpunkt 'Legacy I/O' im I/O-Menü hinzugefügt

JScript:
- Parsen der URL im 'E OPCUA' Kommando korrigiert
- TLS-Verbindung bei Verwendung von [OPCUA] wird unterstützt

ZPL:
- ^BX: Aufbereitung von Binär- und UTF8-Kodierten Daten für den DataMatrix-Code korrigiert

SOTI:
- Neustart-Nachricht wird unterdrückt
- LAN- und WLAN-Einstellungen werden vor dem Anwenden auf Gültigkeit geprüft
- spezifischere Fehlerantwort beim Ändern von Druckereinstellungen


*** 5.44.4 - Jun 03 2024

Common:
- ensure minimum space in bar code rendering between HRI line and bars

SOTI:
- added firmware update success notification
- added response alerts for certificate installs
- fixed response for device attached/detached status

*** 5.44.4 - Jun 03 2024

Allgemein:
- min. Abstand zwischen Klartextzeile und Balken in Barcodes sicherstellen

SOTI:
- Benachrichtigung über Ergebnis des Firmware-Updates hinzugefügt
- Antwort-Nachricht bei Installation von Zertifikaten hinzugefügt
- Benachrichtigung beim Anschließen/Entfernen von Peripheriegeräten korrigiert


*** 5.44.3 - May 16 2024

Common:
- fixed fan control for legacy fans (using a 2-pin connector) installed in the MACH 4S
- fixed quiet zone for QR codes used on printer's display, e.g. URLs for help videos
- in applicator mode omit feeding forward the follow-up label into the applicator during application process when defined label height does not match used labels
- show progress dialog of peripheral device firmware update on external control panel
- fixed decoding of ASC image format
- SMTP connection test on the website now works without providing a username and password
- fixed check for max. print width on XD Q when switching between enabled/disabled lower print head
- fixed network interface configuration sequence when using IEEE 802.1X and DHCP
- more robust handling of text objects outside the label

JScript:
- new function [SHA256] to generate SHA256 based hashes
- fixed connection management for the OPC UA clients using [OPCUA]
- fixed logging via OPC UA using [OPCUALOG]

ZPL:
- ^SN: fixed command parsing when only one parameter is given
- ~SD: fixed mapping of Zebra darkness range to cab heat level range

RFID:
- extended range of setting 'TID Length' to 16 bytes
- improved algorithm to find the best read/write position

SOTI:
- no automatic agent reconnect on certificate changes

*** 5.44.3 - May 16 2024

Allgemein:
- Lüfterregelung für das Lüftermodell mit 2-poligem Stecker im MACH 4S korrigiert
- Ruhezone der QR-Codes korrigiert welche auf dem Drucker-Display angezeigt werden, z.B. URLs der Hilfevideos
- im Applikator-Modus Vorschub eines Folgeetiketts während dem Applizieren unterdrücken wenn gegebene Etikettenhöhe nicht zu den verwendeten Etiketten passt
- Auf dem externen Bedienfeld wird der Fortschritt bei der Firmware-Aktualisierung von Peripherie-Geräten angezeigt
- Dekodierung des ASC Bildformats korrigiert
- SMTP Verbindungstest auf der Webseite funktioniert nun auch ohne Angabe von Benutzername und Passwort
- Prüfung der max. Druckbreite beim Umschalten von aktiviertem/deaktiviertem unteren Druckkopf im XD Q korrigiert
- Konfiguration der Netzwerk-Schnittstelle bei Verwendung von IEEE 802.1X und DHCP korrigiert
- verbesserte Prüfung von Text-Objekten welche außerhalb des Etiketts liegen

JScript:
- neue Funktion [SHA256] um SHA256-basierte Hashes zu generieren
- Verwaltung der Verbindungen bei Verwendung des OPC UA Clients mittels [OPCUA] korrigiert
- Fehler beim Loggen über OPC UA mittels [OPCUALOG] korrigiert

ZPL:
- ^SN: Interpretation des Kommandos mit nur einem Parameter korrigiert
- ~SD: abbilden der Zebra Darkness in den Bereich des cab Heizlevels korrigiert

RFID:
- Wertebereich der Einstellung 'TID-Länge' auf 16 Bytes erhöht
- Algorithmus zur Ermittlung der optimalen Schreib-/Leseposition verbessert

SOTI:
- bei Zertifikatsänderungen Agent nicht automatisch neu verbinden


*** 5.44.2 - Mar 04 2024

Allgemein:
- fehlende Zeichen für Rumänisch im Font Swiss 721 hinzugefügt
- falsche Fehlermeldung 'IP Adresskonflikt' bei gleichzeitiger Verwendung von Ethernet- und WLAN-Schnittstelle korrigiert
- Einstellung 'Kein Branding' beim Starten berücksichtigen

SOTI:
- Netzwerk nur neu konfigurieren wenn Änderungen für aktuelle Konfiguration relevant sind
- Laden von mehreren PEM Zertifikaten abschließen bevor die Netzwerk-Schnittstellen neu konfiguriert werden

ZPL:
- ^MM: keine Fehlermeldung bei gesetztem Schneidemodus und kein angeschlossenes Messer


*** 5.44.1 - Feb 26 2024

Common:
- more lenient check for TTF attributes when loading TrueType fonts
- fixed address and URL in 'Legal notices' and 'About' dialogs

ZPL:
- adapted print offset when using ^POI to behavior of Zebra printers

*** 5.44.1 - Feb 26 2024

Allgemein:
- Prüfung von TTF-Attributen beim Laden von TrueType Schriftarten reduziert
- Adresse und URL in Dialogen 'Rechtliche Hinweise' und 'Über' korrigiert

ZPL:
- Verschiebung der Druckposition bei Verwendung von ^POI an Verhalten der Zebra Drucker angepasst


*** 5.44 - Feb 22 2024

Common:
- support for SOTI Connect printer management
- new UI wizards to configure the more complex settings like 'IEEE 802.1X' or 'SOTI Connect'
- support for uploading certificates in PEM format to the printer via setup tree of the web interface 
- new diagnostics dialog to monitor and control I/O signals
- new setting 'Printer location' in menu 'Extras' to configure a physical location of the printer. Available via Info dialog, SNMP, OPC UA or web interface.
- new setting 'Printer contact' in menu 'Extras' to configure a contact details of the printer administrator. Available via SNMP, OPC UA, web interface.
- fixed and improved encoding of data in Data Matrix code
- fixed considering a missing label with activated 'Slippage correction'
- fixed clean-up of incomplete jobs due to job cancel
- adjusted heating values for ROHM 4"/600dpi print head
- consider WebDAV settings when enabling PIN protection of GUI
- AXON 1: removed option 'Void invalid labels' in 'Validation' menu
- HERMES Q, PX Q: open pinch roller state is shown on display
- XC Q, XD Q: fixed 'No label found' error after a restart with deactivated lower print head
- XD Q: added help videos

JScript:
- new bar code type ISBT128 to render and check data according to ISBT128 specification
- new bar code options +IEC614061 and +IEC614062 to render QR code and Data Matrix according to IEC 61406-1 and IEC 61406-2
- new parameters 'S0' or 'S1' in 'H' command to enable/disable the lower print head on XD Q and XC Q
- 'O F' (discard label positions) now omits a back feed also in continuous mode
- new query command 'q v' to request full firmware version string, including patch level

ZPL:
- support for RFID commands
- ^BC (Code 128): added support for custom font for interpretation line
- ^BD (MaxiCode): length of input data is truncated to its maximum

RFID:
- dialog 'Read tag data' in 'RFID' menu shows more detailed tag data
- improved reading EPC

Peripherals:
- AXON 1 / AXON 2: Übersetzungen und Icons aktualisiert

Security:
- CVE-2024-0567: updated gnutls to version 3.8.3
- CVE-2023-45853: updated zlib to version 1.3.1
- CVE-2023-46218, CVE-2023-38546, CVE-2023-38545, CVE-2024-0853: updated libcurl to version 8.5.0
- CVE-2023-52425: updated expat to version 2.6.0

*** 5.44 - Feb 22 2024

Allgemein:
- Unterstützung für SOTI Connect Druckerverwaltung
- neue Assistenten in der Benutzeroberfläche zum Einrichten von umfangreicheren Einstellungen wie 'IEEE 802.1X' oder 'SOTI Connect'
- Zertifikate im PEM-Format können über den Menübaum der Webseite auf den Drucker geladen werden
- neuer Diagnose-Dialog um E/A-Signale zu überwachen und zu steuern
- neue Einstellung 'Drucker Standort' um physischen Standort zu konfigurieren. Verfügbar über Info Dialog, SNMP, OPC UA oder Webseite
- neue Einstellung 'Drucker Kontakt' um Kontaktdaten des Administrators zu hinterlegen. Verfügbar über Info Dialog, SNMP, OPC UA oder Webseite
- Kodierung der Daten beim DataMatrix-Code korrigiert und optimiert
- bei aktivierter Schlupfkorrektur wird ein fehlendes Etikett korrekt berücksichtigt
- Entfernen von unvollständigen Druckjobs während eines Job-Abbruchs korrigiert
- Heizzeiten für ROHM 4"/600dpi Druckkopf angepasst
- WebDAV Einstellungen werden beim PIN-Schutz der GUI berücksichtigt
- AXON 1: Option 'Fehletikett entwerten' im Menü 'Validieren' entfernt
- HERMES Q, PX Q: Zustand der geöffneten Andruckrolle wird im Display angezeigt
- XC Q, XD Q: Fehler 'Kein Etikett' nach Neustart mit deaktiviertem unteren Druckkopf korrigiert
- XD Q: Hilfevideos hinzugefügt

JScript:
- neuer Barcode-Type ISBT128 zum Rendern und Prüfen der Daten gemäß ISBT128 Spezifikation
- neue Barcode-Optionen +IEC614061 und +IEC614062 rendern QR-Code und DataMatrix-Code gemäß IEC 61406-1 und IEC 61406-2
- neue Parameter 'S0' und 'S1' im 'H'-Kommando um den unteren Druckkopf bei XD Q und XC Q zu aktivieren/deaktivieren
- 'O F' (Etikettenpositionen verwerfen) unterdrückt nun auch bei Endlos-Etiketten den Rückzug
- neues Kommando 'q v' um vollständige Firmware Versionsnummer, inklusive Revisionsnummer, abzufragen

ZPL:
- Unterstützung der RFID-Befehle
- ^BC (Code 128): Unterstützung von benutzerdefinierter Schriftart für Klartextzeile
- ^BD (MaxiCode): Länge der Nutzdaten wird auf das Maximum gekürtzt

RFID:
- im Dialog 'Tag-Daten lesen' des 'RFID' Menüs werden detailliertere Tag-Informationen angezeigt
- Auslesen des EPC verbessert

Peripherie:
- AXON 1 / AXON 2: Übersetzungen und Icons aktualisiert

Sicherheit:
- CVE-2024-0567: gnutls auf Version 3.8.3 aktualisiert
- CVE-2023-45853: zlib auf Version 1.3.1 aktualisiert
- CVE-2023-46218, CVE-2023-38546, CVE-2023-38545, CVE-2024-0853: libcurl auf Version 8.6.0 aktualisiert
- CVE-2023-52425: expat auf Version 2.6.0 aktualisiert


*** 5.43.10 - Feb 01 2024

Common:
- AXON: fixed initialization of applicator settings when using a default.lbl file

*** 5.43.10 - Feb 01 2024

Allgemein:
- AXON: Initialisierung der Applikator-Parameter bei Verwendung einer default.lbl korrigiert


*** 5.43.8 - Jan 11 2024

Common:
- fixed showing 'Low battery' error message of button cell on startup

Peripherals:
- ST400: fixed 'Cut before job' after a confirmed 'Stacker full' error on double side printers (XD Q)

Security:
- CVE-2023-7104: updated sqlite to version 3.44.2
- CVE-2023-5981: updated gnutls to version 3.8.2
- CVE-2023-3446: updated openssl to version 1.1.1w

*** 5.43.8 - Jan 11 2024

Allgemein:
- Anzeigen der Fehlermeldung 'Batterie leer' der Knopfzelle beim Starten korrigiert

Peripherie:
- ST400: 'Schneiden vor Auftrag' nach Bestätigung eines 'Stapler voll' Fehlers bei Doppeldrucker (XD Q) korrigiert

Sicherheit:
- CVE-2023-7104: sqlite auf Version 3.44.2 aktualisiert
- CVE-2023-5981: gnutls auf Version 3.8.2 aktualisiert
- CVE-2023-3446: openssl auf Version 1.1.1w aktualisiert


*** 5.43.7 - Dec 15 2023

JScript:
- fixed memory card delete command 'M d FNT;<file>' for TrueType fonts

OPC UA:
- Barcode verifier CC200 as node available to provide last scan data and timestamp

ZPL:
- support using multiple references to the same ^FN in a template

*** 5.43.7 - Dec 15 2023

JScript:
- Speicherkarten Lösch-Befehl 'M d FNT;<file>' für TrueType Schriftarten korrigiert

OPC UA:
- Barcode-Prüfgerät CC200 als Knoten verfügbar. Stellt letzte Scan-Daten und Scan-Zeitpunkt zur Verfügung

ZPL:
- Unterstützung von mehrfachen Verwendungen derselben ^FN Referenz in einer Vorlage


*** 5.43.5 - Nov 10 2023

Common:
- fixed spurious 'No label found' error in conjunction with print jobs using two cuts
- HERMES Q: adapted range to set remaining label roll diameter for 40mm core

Peripherals:
- AXON, PT4: fixed sending current print speed to peripheral device
- CC200: Trigger starting positions, defined using JScript '+VERIFYn' command, is no longer limited to the label height

RFID:
- fixed internal buffer overflow when processing tag data

ZPL:
- adapted rounding issue in calculation of module width for linear bar codes

*** 5.43.5 - Nov 10 2023

Allgemein:
- falsche Fehlermeldung 'Kein Etikett' bei Druckjobs mit Doppelschnitt eliminiert
- HERMES Q: Wertebereich um Restdurchmessers der Etikettenrolle für 40mm Kerne angepasst

Peripherie:
- AXON, PT4: Übertragung der aktuellen Druckgeschwindigkeit an die Peripherie korrigiert
- CC200: max. Trigger-Startposition, definiert durch JScript Kommando '+VERIFYn', ist nicht mehr auf die Etikettenhöhe limitiert

RFID:
- Interner Pufferüberlauf bei der Verarbeitung von Tag-Daten korrigiert

ZPL:
- Rundungsfehler in Berechnung der Modulbreite bei linearen Barcodes berücksichtigt


*** 5.43.4 - Sep 28 2023

Common:
- fixed potentially wrong reference to downloaded images

JScript:
- fixed processing large amounts of print jobs leading to full internal buffers which caused 
  sporadic syntax errors or missing objects

ZPL:
- processing of commands within a field context, terminated by ^FS, is now independent of order of commands
- no CR/LF required at end of label data

Security:
- CVE-2022-48174: updated busybox to version 1.36.1

*** 5.43.4 - Sep 28 2023

Allgemein:
- potenziell falsche Referenzierung von heruntergeladenen Bildern korrigiert

JScript:
- Verarbeitung einer großen Anzahl von Druckjobs korrigiert, welche interne Puffer füllen und dadurch 
  sporadische Syntaxfehler und fehlende Objekte erzeugt haben

ZPL:
- Bearbeitung von Kommandos innerhalb eines Feld-Kontexts, abgeschlossen mit ^FS, ist nun unabhängig von der Reihenfolge der Kommandos
- kein Zeilenumbruch am Ende der Etikettendaten notwendig

Sicherheit:
- CVE-2022-48174: busybox auf Version 1.36.1 aktualisiert


*** 5.43.3 - Aug 10 2023

Common:
- XC Q: improved ribbon saving for initial state after closing printhead
- XC Q: improved ribbon saving for long labels

RFID:
- fixed RFID password locking from JScript

Security:
- CVE-2023-2650, CVE-2023-0464, CVE-2023-0466, CVE-2023-0465: updated openssl to version 1.1.1u

*** 5.43.3 - Aug 10 2023

Allgemein:
- XC Q: Foliensparen für initialen Zustand nach dem Schließen des Druckkopfs verbessert
- XC Q: Foliensparen für lange Etiketten verbessert

RFID:
- Passwort Schreibschutz mit JScript korrigiert

Sicherheit:
- CVE-2023-2650, CVE-2023-0464, CVE-2023-0466, CVE-2023-0465: openssl auf Version 1.1.1u aktualisiert


*** 5.43.2 - Jul 27 2023

Common:
- updated translations
- fixed counter for remaining labels to be printed on 'Out of paper' error
- more robust error handling if internal communication to an applicator device is lost
- AXON 1: fixed label extrapolation mode 'Every label'
- EOS: added help videos
- XD Q: improved ribbon saving for small labels when lower printhead does not print anything
- XD Q: finalize labels with upper printhead on 'Out of ribbon' error on lower printhead
- XD Q: finalize labels with upper printhead on 'Label not found' error
- XC Q: added help videos

OPC UA:
- no error message on long running operations, e.g. copying files

ZPL:
- ~DZ: implemented command to download GRF graphic data to printer
- ^XG: support to load raw GRF graphic data files
- new menu setting 'Cut before job'

*** 5.43.2 - Jul 27 2023

Allgemein:
- Übersetzungen aktualisiert
- Angabe zur druckenden Restmenge bei Papierende-Fehler korrigiert
- zuverlässigere Fehlerbehandlung wenn interne Kommunikation mit einem Applikator abbricht
- AXON 1: Extrapolieren von Etiketten im Modus 'Jedes Etikett' korrigiert
- EOS: Hilfevideos hinzugefügt
- XD Q: Foliensparen für kleine Etiketten verbessert wenn unterer Druckkopf nichts zu drucken hat
- XD Q: angedruckte Etiketten werden bei Folienende am unteren Druckkopf fertig gedruckt
- XD Q: angedruckte Etiketten werden beim Fehler 'Kein Etikett' fertig gedruckt
- XC Q: Hilfevideos hinzugefügt

OPC UA:
- keine Fehlermeldung bei Funktionen mit langer Laufzeit, z.B. kopieren von Dateien

ZPL:
- ~DZ: Kommando implementiert um GRF Grafikdaten auf den Drucker zu laden
- ^XG: Unterstützung für das Laden von GRF Grafikdateien
- neue Menüeinstellung 'Schneiden vor Auftrag'


*** 5.43.1 - Jun 19 2023

Common:
- improved label detection after startup when label edge is within sensor
- support for 'Print on demand' for continuous labels in tear-off mode
- XD Q: support for new ribbon saver module to print thicker media (e.g. heat shrink tubes)
- XC Q: fixed ribbon unwind monitoring for lower printhead
- XC Q: support for JScript commands 'O D' and 'O S' with disabled lower printhead
- XC Q: support ribbon unwind monitoring for both printheads
- more robust interpretation of the font name attribute from TrueType font files

JScript:
- [B2B] fixed buffer overflow
- fixed usage of custom TrueType fonts within richtext fields

Peripherals:
- Label selection - I/O box: fixed handling of signal to reboot printer
- fixed support for legacy CU4 cutters (1st generation low speed USB devices)

ZPL:
- ^FD: fixed buffer overflow when having large data
- ^FD: improved handling of '^' and '~' within data
- fixed sporadic invalid references to images

*** 5.43.1 - Jun 19 2023

Allgemein:
- verbesserte Etikettenerkennung nach dem Einschalten wenn Etikettenkante im Sensor steht
- Unterstützung für 'Drucken auf Anforderung' für Endlos-Etiketten im Abreißmodus
- XD Q: Unterstützung für neues Sparmodul um dickeres Material (z. B. Schrumpfschlauch) zu drucken
- XC Q: Überwachung Farbbandabwickelrichtung für unteren Druckkopf korrigiert
- XC Q: Unterstützung für JScript 'O D' und 'O S' bei deaktiviertem unterem Druckkopf
- XC Q: Überwachung Abwickelrichtung für beide Druckköpfe
- Lesen des Fontnamen Attributs aus TrueType Font Dateien korrigiert

JScript:
- [B2B] Pufferüberlauf behoben
- Verwendung von TrueType Schriftarten im Richtext-Feld korrigiert

Peripherie:
- Etikettenauswahl - I/O Box: Verarbeitung des Signals für einen Drucker-Neustart korrigiert

ZPL:
- ^FD: Pufferüberlauf bei großen Daten korrigiert
- ^FD: Behandling von '^' und '~' innerhalb der Daten verbessert
- sporadische fehlerhafte Referenzierung von Bildern korrigiert


*** 5.43 - May 03 2023

Common:
- support for new XC Q models
- support for WPA3 for WiFi connection setup
- support for RawIP connection over TLS/SSL
- added 2nd RawIP port processing ESC control commands
- new option in Diagnostics menu to enable networking WPA logging
- do not keep deleted files in IFFS as hidden files
- fixed error handling with enabled I/O option 'Auto FSTLBL'
- fixed editing menu options using a keyboard
- fixed columns in log file of I/O logging feature
- fixed Micro QR code automatically selecting version M4 when using error correction level Q

JScr´ipt:
- [B2B] function accepts '$' within a field name

abc:
- improved performance when loading data from memory device
- improved function ran() to generate random numbers

ZPL:
- ~HS: send response in one package

RFID:
- support cutting labels
- added calibration values to exported system log

OPC UA:
- more lenient parsing of NodeIds
- fixed connecting to Siemens TIA portal
- announce OPC UA service on mDNS (Zeroconf)

Security:
- CVE-2021-46848: updated libtasn1 to version 4.19.0
- CVE-2021-43618: updated libgmp to version 6.2.1
- CVE-2022-46908: updated sqlite to version 3.41.2
- CVE-2022-0204 : updated bluez to version 5.66
- CVE-2022-4450, CVE-2023-0215, CVE-2023-0286: updated openssl to version 1.1.1t

Peripherals:
- S510x: fixed printing with combinations of the print modes 'Single buffer mode' and 'Print on demand'
- ST4/L: fixed reducing print speed when stopping at cut position

*** 5.43 - May 03 2023

Allgemein:
- Unterstützung für neue XC Q Modelle
- Unterstützung von WPA3 für WLAN-Verbindungen
- die RawIP-Verbindung kann über TLS/SSL getunnelt werden
- zweite RawIP-Verbindung für ESC-Kommandos verfügbar
- neue Option im Diagnose-Menü um Netzwerk WPA-Verbindungsaufbau mitzuloggen
- gelöschte Dateien im IFFS werden nicht mehr als versteckte Datei behalten
- Fehlerbehandlung bei aktivierter E/A-Option 'Autom. FSTLBL' korrigiert
- Editieren von Menüeinstellungen mit der Tastatur korrigiert
- Spalten in Logdatei des E/A-Loggers korrigiert
- Micro QR Code wählt automatisch Version M4 bei gesetzter Fehlerkorrektur Stufe 4

JScript:
- Funktion [B2B] akzeptiert '$' im Feldnamen

abc:
- Performanz beim Lesen von Daten aus Speichermedien korrigiert
- Funktion ran() zur Generierung von Zufallszahlen verbessert

ZPL:
- ~HS: Antwort wird in einem Paket gesendet

RFID:
- Kalibrierwerte werden im System-Log abgespeichert

OPC UA:
- Toleranteres Parsen von Node-IDs
- Verbindungsaufbau zum Siemens TIA-Portal korrigiert
- OPC UA Dienst wird über mDNS (Zeroconf) bekannt gemacht

Sicherheit:
- CVE-2021-46848: libtasn1 auf Version 4.19.0 aktualisiert
- CVE-2021-43618: libgmp auf Version 6.2.1 aktualisiert
- CVE-2022-46908: sqlite auf Version 3.41.2 aktualisiert
- CVE-2022-0204 : bluez auf Version 5.66 aktualisiert
- CVE-2022-4450, CVE-2023-0215, CVE-2023-0286: openssl auf Version 1.1.1t aktualisiert

Peripherie:
- S5110x: Druckablauf bei Kombinationen der Druckmodi 'Einzeletikettpuffer' und 'Drucken auf Anfrage' korrigiert
- ST4/L: Reduzierung der Druckgeschwindigkeit für das Anhalten an Schneidepositionen korrigiert


*** 5.42.10 - 06 Jul 2023

Common:
- fixed counter for remaining labels to be printed on 'Out of paper' error
- XD Q: improved ribbon saving for small labels when lower printhead does not print anything
- XD Q: finalize labels with upper printhead on 'Out of ribbon' error on lower printhead

*** 5.42.10 - 06 Jul 2023

Allgemein:
- Angabe zur druckenden Restmenge bei Papierende-Fehler korrigiert
- XD Q: Foliensparen für kleine Etiketten verbessert wenn unterer Druckkopf nichts zu drucken hat
- XD Q: angedruckte Etiketten werden bei Folienende am untern Druckkopf fertig gedruckt


*** 5.42.9 - 22 Jun 2023

Common:
- fixed firmware update when a loaded label with resources (images, fonts) occupies too much memory
- XD Q: support for new ribbon saver module for thicker media (e.g. heat shrink tubes)

OEM Brady:
- BBP72 PLUS: updated printer image in web interface

*** 5.42.9 - 22 Jun 2023

Allgemein:
- Firmware-Update korrigiert wenn ein Etikett mit geladenen Resourcen (Bildern, Schriften) zu viel Speicher belegt
- XD Q: Unterstützung für neues Sparmodul für dickeres Material (z. B. Schrumpfschlauch)

OEM Brady:
- BBP72 PLUS: Druckerbild im Webinterface aktualisiert


*** 5.42.8 - 26 May 2023

ZPL:
- ^BU: fixed truncating too long input data

*** 5.42.8 - 26 May 2023

ZPL:
- ^BU: Kürzen von zu langen Barcodedaten korrigiert


*** 5.42.7 - 28 Mar 2023

Common:
- omit extra blank labels when switching between thermo transfer and thermo direct print mode
- fixed lpd connection handling according to RFC 1179

Peripherals:
- PT4: support for operation without sensor using I/O-Signal LBLREM instead

RFID:
- fixed TID length detection by correctly considering the XTID indicator

ZPL:
- ^B0: fixed encoding of Aztec bar code data
- ^CI: support for deprecated code page 17 (UCS-2 Big Endian) along with ^F8 and ^F16 commands
- ^FB: fixed text wrapping with scaled font sizes
- ^GF: fixed deleting temporary images

*** 5.42.7 - 28 Mar 2023

Allgemein:
- Leeretiketten beim Wechsel zwischen Thermodirekt- und Thermotransfer-Druck eliminiert
- Verhalten von LPD-Verbindungen gemäß RFC 1179 korrigiert

Peripherie:
- PT4: Unterstützung für Betrieb ohne Sensor mittels Verwendung des E/A-Signals LBLREM

RFID:
- Berechnung der TID-Länge korrigiert durch Berücksichtigung des XTID-Indikators

ZPL:
- ^B0: Datenkodierung für Aztec Barcode korrigiert
- ^CI: Unterstützung für veralteten Zeichnsatz 17 (UCS-2 Big Endian) und den zugehörigen Kommandos ^F8 und ^F16
- ^FB: Textumbruch bei Verwendung von skalierten Fontgrößen korrigiert
- ^GF: Löschen der temporären Bilddateien korrigiert


*** 5.42.6 - 01 Mar 2023

Common:
- fixed sporadic inactive peripheral button in peel state
- TOCCATA: set default heat level to +2

ZPL:
- support tabulator character in text fields
- support Code 128 invocation characters with set UTF-8 code page

*** 5.42.6 - 01 Mar 2023

Allgemein:
- Sporadisch inaktiver Peripherie-Button im Spendezustand korrigiert
- TOCCATA: Standard Heizstufe auf +2

ZPL:
- Unterstützung für Tabulator-Zeichen in Textfeldern
- Unterstützung für Code128 Invocation Characters mit UTF-8 Zeichensatz


*** 5.42.5 - 01 Feb 2023

Common:
- XD Q: removed monitoring of separator

*** 5.42.5 - 01 Feb 2023

Common:
- XD Q: Überwachung des Separators entfernt


*** 5.42.4 - 10 Jan 2023

Common:
- fixed ribbon saving for completely blank labels

ZPL:
- use set code page for interpretation of bar code content data

*** 5.42.4 - 10 Jan 2023

Allgemein:
- Foliensparautomatik für komplett leere Etiketten korrigiert

ZPL:
- Barcode Daten werden mit gesetzter Codepage interpretiert


*** 5.42.3 - 14 Dec 2022

Common:
- fixed canceling a multi-web labels print job
- fixed reprint using I/O REPRINT or JScript command ESCxinREPRINT with a preceding A [PREVIEW] job
- fixed pausing print jobs when using an air jet box applicator
- fixed JScript [WTMP] command with activated 'Single label buffer' and 'Print on demand' settings
- restored support for FTP ASCII transfer mode
- XD Q: fixed I/O signal JOBRDY while waiting for follow-up job
- XD Q: fixed handling of pause while printing an internal test print

abc:
- fixed reading large data from /dev/jscript

ZPL:
- ^B2: fixed adding a leading zero for an odd number of digits
- ^BQ: fixed parsing ECC level
- unsupported command ^SF terminates data of ^FD command

*** 5.42.3 - 14 Dec 2022

Allgemein:
- Jobabbruch für Etiketten mit Mehrfachnutzen korrigiert
- Druckwiederholung mittels I/O REPRINT oder JScript ESCxinREPRINT Kommando bei vorangegangenem A [PREVIEW] Auftrag korrigiert
- Pausieren von Druckjobs bei Verwendung eines Blasbox Applikators korrigiert
- Unterstützung für den FTP Übertragungsmodus ASCII wiederhergestellt
- JScript Kommando [WTMP] mit aktivierten Einstellungen 'Einzeletikettpuffer' und 'Drucken auf Anforderung' korrigiert
- XD Q: E/A-Signal JOBRDY für Zustand wo auf näcsten Job gewartete wird korrigiert
- XD Q: Behandlung einer Pause während dem Drucken eines internen Testdrucks korrigiert

abc:
- Lesen von großen Datenmengen aus /dev/jscript korrigiert

ZPL:
- ^B2: Hinzufügen einer führenden Null bei ungerader Zifferanzahl korrigiert
- ^BQ: Parsen des Parameters für das Level der Fehlerkorrektur korrigiert
- nicht unterstütztes Kommando ^SF terminiert Daten des ^FD Kommandos


*** 5.42.2 - 27 Oct 2022

Common:
- fixed handling of rendering errors for multi-web labels

JScript:
- fixed +VERIFY option for 2of5 Interleaved bar code with odd number of characters
- new ESC command ESCy to get current interpretation phase of a label

ZPL:
- fixed combination of the ^FN and ^FD commands
- fixed deletion of graphics/images using ^ID command
- fixed 'Cancel all' with full input buffer

Security:
- CVE-2019-17498: updated libssh2 to version 1.10.0
- CVE-2020-9274 : updated pure-ftpd to version 1.0.50
- CVE-2021-45346: updated zlib to 1.2.13
- CVE-2022-35737: updated sqlite to version 3.39.3
- CVE-2022-40674, CVE-2022-43680: updated expat to version 2.5.0


*** 5.42.2 - 27 Oct 2022

Allgemein:
- Behandlung von Rendering-Fehlern bei Etiketten mit Mehrfachnutzen korrigiert

JScript:
- +VERIFY Option für 2of5 Interleaved Barcode mit ungerader Anzahl Zeichen korrigiert
- neues ESC-Kommando ESCy um aktuelle Bearbeitungsphase eines Etiketts auszulesen

ZPL:
- Kombination der Kommandos ^FN und ^FD korrigiert
- Löschen von Grafiken/Bildern mittels ^ID Kommando korrigiert
- Komplett-Abbruch bei vollem Eingangspuffer korrigiert

Sicherheit:
- CVE-2019-17498: libssh2 auf Version 1.10.0 aktualisiert
- CVE-2020-9274 : pure-ftpd auf Version 1.0.50 aktualisiert
- CVE-2021-45346: zlib auf Version 1.2.13 aktualisiert
- CVE-2022-35737: sqlite auf Version 3.39.3 aktualisiert
- CVE-2022-40674, CVE-2022-43680: expat auf Version 2.5.0 aktualisiert


*** 5.42.1 - 30 Sep 2022

OEM Brady:
- i5100: fixed reading RFID tag data from BDC module
- i5100: new option to disable startup error due to missing BDC module
- BBP72 PLUS: changed default setting for 'Monitor ink side' to 'Off'

*** 5.42.1 - 30 Sep 2022

OEM Brady:
- i5100: Auslesen der RFID Tag-Daten aus dem BDC Module korrigiert
- i5100: neue Einstellung um Fehler aufgrund von fehlendem BDC-Modul beim Starten zu unterdrücken
- BBP72 PLUS: Standardeinstellung für 'Wicklung überwachen' auf 'Aus'


*** 5.42 - 14 Sep 2022

Common changes:
- support for new SQUIX 8.3/300 models
- support for new ROHM 4"/600dpi print head
- support for external label sensor on SQUIX and HERMES Q models
- support for ribbon saver on XD Q model
- on open print head, the display shows 'Printhead open' instead of 'Ready'
- disabled feed button in display  on open print head
- blinking feed button in display in applicator mode and unsynced labels
- added possibility to use an input dialog to change value of numeric settings in display
- improved support for TIFF image formats
- fixed calculation of RFID TID length
- fixed assignment of IP address when switching between DHCP and static address
- new error message on a IP address conflict (IP address multiple times assigned)
- added applicator parameters and statistic values to system log export
- hint in the I/O test dialog to attach the test adapter
- fixed updating remainig ribbon diameter value. Caused malfunction of I/O signal RIBWARN and JScript command 'qr'

JScript:
- extended [BIN:] command to support hex byte sequences without using a comma as separator
- 'd' command to download binary data supports encoding the data as Base64 using <BASE64> ... </BASE64>

ZPL:
- new status bar icon which indicates a data interface set to ZPL mode
- fixed reading and deleting of files using ^ID command within the same label

abc:
- fixed buffer overwrite which leads to JScript syntax errors

*** 5.42 - 14 Sep 2022

Allgemein:
- Unterstützung für neue SQUIX 8.3/300 Modelle
- Unterstützung für neuen ROHM 4"/600dpi Druckkopf
- Unterstützung für externen Etikettensensor bei den SQUIX und HERMES Q Modellen
- Unterstützung für Foliensparautomatik beim XD Q
- bei offenem Druckkopf wird im Display 'Druckkopf abgeklappt' angezeigt, statt wie bisher 'Bereit'
- Deaktivierte Vorschub-Taste im Display bei offenem Druckkopf
- Blinkende Vorschub-Taste im Display bei Applikatorbetrieb wenn Etiketten nicht synchronisiert sind
- Möglichkeit numerische Einstellungen im Display über einen Eingabedialog zu ändern
- Unterstützung für das TIFF Bildformat erweitert
- Berechnung der RFID TID-Länge korrigiert
- Konfiguration der IP-Adresse beim Wechseln zwischen DHCP und statischer Adresse korrigiert
- neue Fehlermeldung bei IP-Adresskonflikt (IP-Adresse mehrfach vergeben)
- Parameter- und Statistikwerte von Applikatoren in das System-Log mitaufgenommen
- Hinweis im I/O-Test Dialog zum Austecken des Testadapters
- Aktualisierung des Foliendurchmessers korrigiert. Führte zu Fehlfunktion des I/O-Signals RIBWARN und der Abfrage des Foliendurchmessers mittels JScript 'qr'

JScript:
- Erweiterung des [BIN:] Kommandos zur Angabe von Hex-Bytesequenzen ohne Kommatrenner
- 'd' Kommando um Binärdaten auf den Drucker zu laden unterstützt Base64-kodierte Daten mittels <BASE64> ... </BASE64>

ZPL:
- neues Statusbar-Icon welches eine aktivierte ZPL-Datenschnittstelle anzeigt
- Lesen und Löschen von Dateien mit ^ID Kommando innerhalb eines Etiketts korrigiert

abc:
- Überschreiben eines Buffers, welcher zu JScript Syntaxfehler führt, korrigiert


*** 5.41.5 - 18 Aug 2022

Common changes:
- AXON 1: omit extra blank label with active extrapolation of every label when using labels with a length >41mm
- AXON 1: set range for setting 'Backfeed position' to 0..5mm

*** 5.41.5 - 18 Aug 2022

Allgemein:
- AXON 1: Leeretikett vermeiden bei aktivem Extrapolieren von jedem Etikett bei Verwendung von Etiketten mit einer Länge >41mm
- AXON 1: Wertebereich für die Einstellung 'Rückzugsposition' auf to 0..5mm gesetzt


*** 5.41.4 - 01 Aug 2022

Common changes:
- AXON 1: improved print accuracy with new mode of option 'Extrapolate labels' which extrapolates every label
- AXON 1: fixed error handling when verifying bar codes with CC200 code checker

Peripherals:
- fixed USB reconnect handling of CC200 code checker

*** 5.41.4 - 01 Aug 2022

Allgemein:
- AXON 1: Eindruckgenauigkeit durch neuen Modus in der Einstellung 'Etiketten extrapolieren', welcher bei jedem Etikett extrapoliert, verbessert
- AXON 1: Fehlerbehandlung bei Barcodeprüfung mit CC200 Prüfgerät korrigiert

Peripherals:
- Fehler beim Ab- und wieder Anmelden des CC200 Prüfgeräts am USB korrigiert


*** 5.41.3 - 11 Jul 2022

Common changes:
- XD Q: fixed saving print head mileage data for the disabled print head
- Error message for MaxiCode when given data is invalid or exceeds maximum length

Peripherals:
- AXON2: fixed reading and setting peripheral parameters on startup when using a default label

JScript:
- fixed download command 'd' for ASC image data containing line feed (LF) characters

ZPL:
- support for use of custom fonts within a ^FB (field block) command
- case-insensitive path handling in e.g. ^DF or ^XF command
- remove invalid chars in field data of Code 39 bar code
- fallback to font 0 on invalid font name

OPC UA:
- fixed permissions for files uploaded to the printer

Security:
- CVE-2022-25236, CVE-2022-25315, CVE-2022-25235: updated expat to version 2.4.8
- CVE-2021-45346: updated sqlite to 3.39.0

*** 5.41.3 - 11 Jul 2022

Allgemein:
- XD Q: Speichern der Druckkopf-Laufleistung bei deaktiviertem Druckkopf korrigiert
- Fehlermeldung beim MaxiCode bei ungültigen Daten oder wenn max. Länge überschritten wird

Peripherie:
- AXON2: Lesen und Setzen von Peripherie-Parametern bei Verwendung eines Standardetikett beim Druckerstart korrigiert

JScript:
- Dowload-Kommando 'd' für ASC Bilddaten mit Zeilenumbrüchen (LF) korrigiert

ZPL:
- Unterstützung für benutzerdefinierte Schriftarten innerhalb des ^FB Kommandos (Field Block)
- Pfad-Argument in Kommandos wie ^DF oder ^XF unabhängig der Groß-/Kleinschreibung gemacht
- Ungültige Zeichen in den Daten für den Code 39 Barcode werden entfernt
- Bei ungültigem Font-Namen den Font 0 verwenden

OPC UA:
- Berechtigungen für auf den Drucker hochgeladene Dateien korrigiert

Sicherheit:
- CVE-2022-25236, CVE-2022-25315, CVE-2022-25235: expat auf Version 2.4.8 aktualisiert
- CVE-2021-45346: sqlite auf Version 3.39.0 aktualisiert


*** 5.41.2 - 10 Jun 2022

Common changes:
- hide WebDAV password in diagnostics view of web interface
- fixed loading and rendering of TIF images in 8bit RGB color format
- XD Q4: hide menu items for ribbon unwind monitoring when thermal direct mode is selected

ZPL:
- ^BY: fixed default value for parameter 'r' (wide to narrow bar ratio) to 3.0

*** 5.41.2 - 10 Jun 2022

Allgemein:
- WebDAV Passwort im Diagnose-Dialog des Webinterfaces verbergen
- Laden und Rendern von TIF Bildern mit 8Bit RGB Farbtiefe korrigiert
- XD 4Q: Menüs für die Überwachung der Farbbandwicklung bei gesetztem Thermodirekt-Modus ausblenden

ZPL:
- ^BY: Standardwert für Parameter 'r' (Verhältnis schmale/breite Balken) auf 3.0 korrigiert


*** 5.41.1 - 25 May 2022

Common changes:
- fixed sporadic deadlock when using peripheral button (single step function) with an attached applicator
- introduced new firmware versioning scheme which includes patch releases

*** 5.41.1 - 25 May 2022

Allgemein:
- Sporadischer Neustart des Druckers bei Verwendung des Peripherie-Buttons (Einzelschritt-Modus) mit Applikator korrigiert
- Versionsschema der Druckerfirmware um Patch-Releases erweitert


*** 5.41 - 19 May 2022

Common changes:
- support for new printer model XD Q
- allow blocking of USB ports depending on connector type (Type-A or Type-B)
- fixed handling of applicator compressed air errors during a running print job
- fixed handling of applicator errors with enabled 'Automatic FSTLBL'
- fixed I/O signal SRV_REQ for 5V/15pin I/O on PX Q models
- extended SMTP server configuration for email notifications in web interface to support authentication methods
- fixed rendering of overlapping graphic and text objects
- fixed rendering of text when kerning option increases the text width
- added new setting 'Search domains' in network configuration menu
- accept spaces in file name of firmware update package
- new diagnostic features via web interface Help menu
- fixed use of SQL queries from within default label on startup
- consider changed print offset X for reprints

JScript:
- fixed handling of font numbers using JScript command 'F'
- allow commas and semicolon in JScript command 'i'

ZPL:
- fixed rendering of TrueType fonts
- fixed response of ~HS command regarding the RS232 settings
- fixed handling and interaction of ^IS, ^IL and ^ID commands
- ^GF command ignores invalid control characters

abc:
- added functions to create user interfaces using the printer's ui widgets
- added functions to send HTTP request

OPC UA:
- added SYNC to list of entries of the 'I/O' node
- fixed adding node 'Current Label' on startup when loading a default label

Security:
- CVE-2022-0778: updated openssl to version 1.1.1n
- CVE-2018-25032: updated zlib to version 1.2.12
- CVE-2022-23852, CVE-2022-23990: updated expat to version 2.4.4

*** 5.41 - 19 May 2022

Allgemein:
- Unterstützung für neues Druckermodell XD Q
- Blockieren von USB-Ports abhängig vom Port-Typ (Typ A, Typ B) möglich
- Behandlung von Applikator Druckluft-Fehlern innerhalb eines laufenden Druckjobs korrigiert
- Behandlung von Applikatorfehlern bei aktivem 'Automat. FSTLBL' korrigiert
- I/O-Signal SRV_REQ für OEM-IO 5V/15polig in PX Q Modellen korrigiert
- SMTP-Server Konfiguration für Email-Benachrichtigungen im Webinterface um Authentifizierungsmethode erweitert
- Rendering von sich überlappenden Grafik- und Textobjekten korrigiert
- Rendering von Texten korrigiert wenn die JScript Text Option 'kerning' die Textbreite vergrößert
- Neue Einstellung 'DNS-Suchdomäne' im Menü der Netzwerkkonfiguration hinzugefügt
- Leerzeichen im  Dateinamen eines Firmwarepakets werden akzeptiert
- neue Diagnose-Funktionen im Webinterface über das Hilfe-Menü
- SQL-Abfragen in einem Standardetikett beim Druckstart korrigiert
- Veränderter Druckoffset X wird beim Wiederholdruck berücksichtigt

JScript:
- Verwaltung von Font-Nummern via JScript Kommando 'F' korrigiert
- Komma und Strichpunkt werden im JScript Kommand 'i' akzeptiert

ZPL:
- Rendering von TrueType Schriftarten korrigiert
- Antwort des ~HS Kommandos bezgl. den RS232 Einstellungen korrigiert
- Verarbeitung und Zusammenspiel von ^IS, ^IL und ^ID Kommandos korrigiert
- ^GF Kommando ignoriert ungültige Kontrollzeichen

abc:
- neue Funktionen um graphische Oberflächen mit den Widgets der Drucker GUI zu erstellen
- neue Funktionen um HTTP-Anfragen zu versenden

OPC UA:
- SYNC in die Liste der Einträge des Knotens 'I/O' hinzugefügt
- Hinzufügen des Knotens 'Current Label' beim Druckerstart und Laden eines Standardetiketts korrigiert

Security:
- CVE-2022-0778: openssl auf Version 1.1.1n aktualisiert
- CVE-2018-25032: zlib auf Version 1.2.12 aktualisiert
- CVE-2022-23852, CVE-2022-23990: expat auf Version 2.4.4 aktualisiert


*** 5.40 - 18 Feb 2022

Common changes:
- support for print heads in RFID printer models

*** 5.40 - 18 Feb 2022

Allgemein:
- Unterstützung der Druckköpfe in RFID Druckermodellen


*** 5.39 - 25 Jan 2022

Common changes:
- support for new USB hub device on X4 PCB

*** 5.39 - 25 Jan 2022

Allgemein:
- Unterstützung für neuen USB-Hub Baustein auf der X4 CPU Platine


*** 5.38 - 06 Oct 2021

Common changes:
- fixed blinking screen issue on external display
- fixed I/O JOBRDY signal when using an applicator in Apply/Print mode and continuously sending print data
- new setting 'Auto FSTLBL' in 'Labeling' menu to automatically start printing the first label in Apply/Print mode
- removed option 'Off' from 'Reprint' setting; menu 'Display' provides setting to disable reprint button
- 'Cancel' buttons support short/long clicks to cancel current print job or all print jobs
- changed default value for setting 'Tear-off mode' to 'Off' on HERMES Q models
- changed step size for I/O setting 'START delay' from 10ms to 1ms
- fixed printing subsequent labels with different label sensor type
- fixed cancelling of jobs when label was loaded as *.prn file from storage device

JScript:
- fixed 'W' command which made images disappear from the label
- 'W' command supports custom font numbers defined by the 'F' command
- support for comma and semicolon in 'j' command
- unique label command 'O U' disables reprint possibility on display, not on I/O using REPRINT signal
- support to set I/O signals PAUSE and LBLROT using ESCxin command

ZPL:
- support field orientation and justification of ^FB command
- fixed decoding of ASCII graphic data when given size and data do not match
- support binary data (control characters) in Data Matrix barcode
- fixed size and position of HRI line of EAN128 barcode
- fixed use of default label sensor from printer settings if no ^MN command is given

abc:
- support to set I/O signal PAUSE and LBLROT using poke "io.xin" function

OPC UA:
- new property 'Pinch Roller Open' in functional group 'Paper' to monitor pinch roller state

RFID:
- fixed feeding in RFID 'Read tag data' dialog

Peripherals:
- fixed calculation of perforation level when switching between the cutter models PCU400 and PSQ40x
- configuration of the peripheral device model can be enabled using the the 'Extended view' setting in the 'Display' menu


*** 5.37 - 16 Jun 2021

Common changes:
- support for external label sensor on PX Q
- improved print accuracy when stopping due to raised I/O PAUSE signal
- eliminated extra blank label after confirming an applicator error
- fixed error confirmation having a print job without 'P' command and attached applicator
- support for 802.1X authentication for wired network connection
- fixed WiFi connections using PEAP to APs with hidden SSID
- terminate specific fixed-length GS1 AIs with FNC1
- Device info dialog of peripherals dynamically shows updated statistic values
- fixed default print mode (thermal transfer/direct) on printer startup with opened print head
- include settings of I/O module when saving/loading settings
- improved connection handling of WebDAV shares
- added missing cookie attribute 'SameSite' in web interface
- fixed performance issue on external display

JScript:
- new JScript W command to define multi-line rich text fields
- new JScript function [BIN64] having a 64 bit counter
- fixed byte order conversion in JScript [BIN16] and [BIN32] functions
- JScript [RTMP] function supports reading data in UTF-8 format
- fixed options +UPBAR and +DOWNBAR on rotated bar code

ZPL:
- support for multi-line text using ^FB command
- support wild cards (*) in ^ID command
- support for selecting print speed using ^PR command
- support for Font E (OCR-B) on 200dpi models
- support for Font H (OCR-A) on 200dpi models
- fixed handling of darkness settings using ~SD and ^MD commands
- fixed parsing of a number split by a newline character
- fixed positioning of QR code to include quiet zone
- support for reading and setting ^FNx content fields via OPC-UA


*** 5.36 - 23 Feb 2021

Common changes:
- added support for SQUIX models with integrated RFID module
- fixed initialization when de-/attaching EOS cutter
- improved print process when using level based I/O START signal
- fixed I/O input LBLFEED after a job was cancelled
- support for I/O signal REPRINT within a print job
- fixed JScript [WUSER] command
- fixed EAN13 bar code rotation on 200dpi models
- fixed menu item 'Block USB ports' on MACH 4S
- new menu item 'FTP port' to configure FTP port
- fixed translation of menu items when switching language

abc:
- fixed function peek("xinput") with attached applicator
- fixed spurious SQLITE error detected within DatabaseConnector return message

ZPL:
- fixed positioning of graphic object using ^FT
- use font '0' if ^CF does not reference a valid font
- fixed Data Matrix code when FNC1 control character is required
- fixed UPS MaxiCode when no mode is set in ^BD command
- fixed handling of font names with ending .FNT
- added ^PQ as a valid termination of a previous ^FD/^FV command

Peripherals:
- added support for perforation cutter PSQ 403


*** 5.35 - 27 Oct 2020

Common changes:
- seamless print image when interrupting print process within a label - relevant when printing with optimized backfeed
- improved print quality on models with 2"/600dpi print head
- support for JScript commands 'X' and 'x' with a connected applicator
- fixed approval of labels in peel-off mode using continuous labels
- default value for option 'Backfeed delay' in 'Peeling-off' menu set to 0ms for HERMES Q and PX Q
- improved checks for invalid IMG image data
- fixed rendering of Data Matrix code when in X12 mode at end of data
- support for GS1 Application Identifier 8009
- fixed setting 'Printhead zero pos. X' for right-hand models
- fixed enabling/disabling of the printer's web site
- fixed 'Block USB ports' setting on HERMES Q and PX Q models
- new setting 'Extended view' in 'Display' menu to get temporary access to specific Service settings
- new status bar icon to show capping of the print head heat time
- use initial settings for Ribbon saver according to the menu settings

OPC UA:
- fixed handling of the change of the RawIP port setting

ZPL:
- support for ZPL II (Zebra Programming Language)


*** 5.34 - 29 Jul 2020

Common changes:
- added ribbon saver option 'Backfeed head mode' for PX Q model
- implemented ribbon saving over label gap
- fixed internal reference to downloaded image after a print job was cancelled
- fixed termination of 'Monitor mode'
- fixed rendering of rotated and inverted text
- JScript commands 'i' and 'j' used outside a job definition throw a syntax error
- fixed handling of whitespace in JScript input dialog
- fixed 'Print file list' for storage device WebDAV
- fixed 'Format storage' for storage device IFFS
- suppress password dialog in WiFi connection wizard for open networks
- settings of peripheral devices are listed in status print
- added missing icons in status print
- fixed timeout in web browser authentication

Peripherals:
- Dispensing module S510x: improved detection of potentially missing label on roll
- Applicators: allow reprint on 'Label not deposited' error
- Code checker CC200: option to void labels on negative scans
- Code checker CC200: support to work with applicator for validation before applying the label


*** 5.33 - 27 Apr 2020

Common changes:
- support for PX Q models
- support for mounting a network drive using WebDAV
- fixed firmware update via printer web interface
- extended JScript 'ESCz' response to include printer cover open/close status (model dependent)
- added new JScript 'ESCr' command to get last scan result of barcode checker
- fixed JScript 'ESCl' response when printing over multiple labels
- fixed keyboard support in web interface in recent Firefox browsers to remotely control the printers display
- fixed handling of Pause request via display button when using an applicator with Backfeed 'optimized'
- fixed spurious error on printer startup
- fixed handling of unsupported PNG images with bit depth >8

abc:
- fixed function inkey$

*** 5.33 - 27 Apr 2020

Allgemein:
- Unterstützung für PX Q Modelle
- Unterstützung für die Anbindung eines Netzwerk-Laufwerks über WebDAV
- Firmware-Aktualisierung via Druckerwebseite korrigiert
- Antwort des JScript Kommandos 'ESCz' enthält Status der Druckerabdeckung (modellabhängig)
- neues JScript Kommando 'ESCr' um letztes Scanresultat des Barcodeprüfgeräts abzufragen
- Bearbeitung von Tastatureingaben zur Fernsteuerung des Druckerdisplays im Webinterface in aktuellen Firefox Browsern korrigiert
- Anforderung der Pause über das Druckerdisplay beim Betrieb mit Applikator und Rückzug 'optimiert' korrigiert
- Sporadischer Fehler beim Starten des Druckers korrigiert
- Fehler beim Laden von nicht unterstützten PNG Bildern mit einer Bittiefe >8 korrigiert
- 'ESCl'-Antwort beim Überdrucken von mehreren Etiketten korrigiert

abc:
- Fehler in der Funktion inkey$ korrigiert


*** 5.32 - 05 Mar 2020

Common changes:
- adapted input voltage monitoring for new revision of power supply
- added support for HERMES Q signal lamp
- added help videos for HERMES Q
- fixed completion of print jobs using A [PREVIEW]
- fixed form feed after print jobs using A [PREVIEW]
- fixed deadlock when detaching large external memory devices

*** 5.32 - 05 Mar 2020

Allgemein:
- Überwachung der Eingangsspanung an neue Revision des Netzteils angepasst
- Unterstützung für die HERMES Q Meldeleuchte
- Hilfe-Videos für HERMES Q hinzugefügt
- Beenden von Druckjobs bei Verwendung von A [PREVIEW] korrigiert
- Vorschub nach Druckjobs mit A [PREVIEW] korrigiert
- Systemblockade beim Abziehen von großen externen Speichermedien korrigiert


*** 5.31 - 06 Feb 2020

Common changes:
- changed default print and back feed speed for EOS2 and EOS5 to 50 mm/s
- fixed operation of 'Monitor mode' with job size >100
- fixed termination of 'Monitor mode' while in error state
- fixed cut interval when confirming errors with 'Reprint' during print job
- ribbon unwinding direction is not monitored in test prints
- optimized out of ribbon monitoring when using ribbon saver
- improved handling of corrupted TrueType fonts
- a recurring error dialog can be hidden to get access to the main printers menu buttons
- added indicator in status bar icon when accessing USB or SD card memory device
- changing the host name updates the TLS/SSL certificate
- fixed and extended support for Caps Lock on various keyboard layouts
- use primary keyboard layout by default on keyboards with alternative layout, e.g. cyrillic and latin
- support of all valid characters in file search with keyboard in 'Load label' dialog
- extended limitation of email addresses in configuration dialog of email notifications
- new option 'Sensor unwinder' in menu 'Labels' to disable monitoring of label unwinder on HERMES Q

JScript:
- added function [B2B] for number system conversion
- command 'q d' supports SQLite database files
- fixed passing 'O Ax' parameters to applicator device
- fixed 'ESCl' response when 'Paper synchronized' and no label distance available yet
- fixed rounding error in arithmetic operations

abc:
- new command poke("gui.peributton") to trigger peripheral button

OPC UA server:
- implemented Device Integration Model (DI)
- fixed connection setup from Siemens S7
- supports username/password authentication from BECKHOFF TwinCAT
- new option 'Anonymous OPC UA' in 'Security' menu to configure permission of anonymous server access

*** 5.31 - 06 Feb 2020

Allgemein:
- Standard Druck- und Rückzuggeschwindigkeit für EOS2 und EOS5 auf 50 mm/s geändert
- Funktion des 'Monitormodus' bei Jobgröße >100 korrigiert
- Beenden des 'Monitormodus' im Fehlerzustand korrigiert
- Schneideintervall korrigiert wenn im Druckjob Fehler mit 'Wiederholen' bestätigt werden
- Innen-/Aussenwicklung der Folie wird beim Testdruck nicht geprüft
- Überwachung Transferfolienende in Verbindung mit Foliensparautomatik optimiert
- Laden von beschädigten TrueType Schriftarten robuster gemacht
- sich wiederholender Fehlerdialog kann geschlossen werden um Zugriff auf Bedienelemente zu bekommen
- Indikator für Schreib-/Lesezugriff auf USB oder SD-Karte im Icon der Statusleiste
- Änderung des Hostnamens aktualisiert das TLS/SSL Zertifikat
- Unterstützung für Feststelltaste bei diversen Tastaturbelegungen korrigiert und erweitert
- Tastaturen mit alternativer Belegung (z. B. kyrillisch/lateinisch) verwenden standardmäßig das primäre Layout
- Unterstützung aller gültigen Zeichen in der Dateisuche mittels Tastatureingabe im Dialog 'Etikett laden'
- Limitierung der Länge von Email-Adressen im Konfigurationsdialog von Benachrichtigungen erhöht
- neue Menüoption 'Sensor Abwickler' im Menü 'Etiketten' um Überwachung des Etikettenabwicklers am HERMES Q zu deaktivieren

JScript:
- neue Funktion [B2B] zur Konvertierung von Werten in andere Zahlensysteme
- Kommando 'q d' unterstützt SQLite Datenbank Dateien
- setzen der Applikator 'O Ax' Parameter korrigiert
- 'ESCl' Anwort korrigiert wenn 'Papier synchronisiert' und noch keine Etikettenlänge bekannt ist
- Rundungsfehler in arithemtischen Operationen korrigiert

abc:
- neues Kommando poke("gui.peributton") um Peripherie-Button zu steuern

OPC UA server:
- Implementierung des Device Integration Model (DI)
- Verbindungsaufbau mit einer Siemens S7 SPS korrigiert
- Unterstützung der Authentifizierung mit Benutzername/Passwort aus der BECKHOFF TwinCAT Software
- neue Option 'Anonymes OPC UA' im Menü 'Sicherheit' um Berechtigung bei anonymen Zugriff zu konfigurieren


*** 5.30 - 15 Nov 2019

Common changes:
- support for Dotcode bar code
- fixed separation of AIs with variable length in GS1 Databar bar code
- extended JScript command 'H T' to set ribbon ink side monitoring

Peripherals:
- AXON 2: include device specific peel offset of 23mm
- AXON 2: eliminated resetting of applicator model with non-peel print jobs

*** 5.30 - 15 Nov 2019

Allgemein:
- Unterstützung für den Dotcode Barcode
- Trennung von AIs mit variabler Länge im GS1 Databar Barcode korrigiert
- JScript Kommando 'H T' erweitert um Wickelrichtung der Transferfolie zu überwachen

Peripherie:
- AXON 2: gerätespezifischer Spendeoffset von 23mm wird automatisch berücksichtigt
- AXON 2: Zurücksetzen des Applikatormodels bei Druckjobs ohne Spendemodus eliminiert


*** 5.29 - 18 Oct 2019

Common changes:
- measuring and monitoring of label roll diameter on HERMES Q
- support for AXON 2 tube applicator
- support for CSQ 40x cutter unit
- support for CC200 barcode verifier
- support for WiFi WAP2 Enterprise Authentication
- fixed handling of print data when using the Bluetooth interface
- moved menu item 'Calibrate label sensor' from 'Extras' to 'Labels' menu
- plugged-in service-Key does not show menus of non-attached peripheral devices


*** 5.29 - 18 Oct 2019

Allgemein:
- Messung und Überwachung des Durchmessers der Etikettenrolle beim HERMES Q
- Unterstützung für AXON 2 Röhrchen Applikator
- Unterstützung für CSQ 40x Schneidemesser
- Unterstützung für CC200 Barcode-Prüfer
- Unterstützung für WLAN WPA2 Enterprise Authentifizierung
- Verarbeitung von Druckdaten über die Bluetooth-Schnittstelle korrigiert
- Menüpunkt 'Sensor kalibrieren' vom Menü 'Extras' nach 'Etiketten' verschoben
- Mit Service-Key werden Menüs von nicht angeschlossener Peripherie nicht angezeigt


*** 5.28 - 03 Sep 2019

Common changes:
- support for HERMES Q4.3 models
- fixed default display orientation on HERMES Q R models
- fixed support for legacy fan model on MACH 4S
- fixed false 'Peripheral device failure' error on SQUIX T model
- adjusted heating values for 6.3/200 model
- suppress 'Print on demand' mode when used with an applicator
- show error message when loading invalid or corrupted font file

abc:
- the top level graphic window always gains keyboard focus

*** 5.28 - 03 Sep 2019

Allgemein:
- Unterstützung für HERMES Q4.3 Modelle
- Standard Display-Ausrichtung für HERMES Q R-Modelle korrigiert
- Ansteuerung des DC-Lüfters im MACH 4S korrigiert
- 'Fehler Peripheriegerät' beim SQUIX T-Modell korrigiert
- Heizzeiten für 6.3/200 Modelle angepasst
- Modus 'Drucken auf Anforderung' bei Betrieb mit Applikator wird unterdrückt
- Fehlermeldung beim Laden von ungültigen oder beschädigten Font-Dateien

abc:
- das oberste Grafik-Fenster erhält immer den Tastaturfokus


*** 5.27 - 25 July 2019

Common changes:
- added support for HERMES Q models and applicators
- added error handling on EOS models if the cutter is being detached during a running print job
- fixed false 'No label found' error when printing over multiple labels
- support for Single label buffer mode when used with an applicator
- JScript 'O S' command accepts parameter to define number of pre-rendered labels
- new items in 'Display' menu to configure availability of main printer buttons
- extended range of 'Print position Y' to +/-99.9 mm
- extended range of 'Length scale' to +/-20.0 %
- fixed handling of empty, first columns in the result set of a SQLite query
- fixed sporadic deadlock on a system reboot
- accept USB devices on external display which announce power consumption of more than 100 mA
- added support for dead keys and compose key (Alt) on keyboard layouts
- show progress dialog while resetting to factory defaults
- fixed memory leak in rendering of DataMatrix and Dotcode bar codes

*** 5.27 - 25 July 2019

Allgemein:
- Unterstützung für die HERMES Q Modelle und Applikatoren
- Fehlerbehandlung bei EOS-Modellen wenn Messer während Druckjob abgeklappt wird
- Falscher Fehler 'Kein Etikett' korrigiert wenn mehrere Etikettenkanten überdruckt werden
- Unterstützung für Einzeletikettpuffer bei Verwendung mit Applikator
- JScript Kommando 'O S' akzeptiert Parameter um Anzahl der voraufbereiteten Etiketten zu definieren
- Neue Einträge im Menü 'Anzeige' um Bedienelemente in der Hauptansicht des Displays zu aktivieren/deaktivieren
- Wertebereich für 'Druckoffset Y' auf +/-99.9mm erhöht
- Wertebereich für 'Längenskalierung' auf +/-20.0% erhöht
- Behandlung von leeren, ersten Spalten in der Antwort einer SQLite Anfrage korrigiert
- Sporadisches Einfrieren des Bootvorgangs beim Neustart behoben
- USB-Geräte am externen Bedienfeld, die mehr als 100 mA Strombedarf anmelden, werden akzeptiert
- Unterstützung für Tottaste und Compose-Taste (Alt) in Tastatur-Layouts
- Fortschrittsdialog während dem Zurücksetzen auf Werkseinstellung
- Speicherleck in der Aufbereitung von DataMatrix und Dotcode Barcodes behoben


*** 5.26 - 14 May 2019

Common changes:
- show error dialog when query of DBF database returns an empty result set
- fixed rendering of quiet zone of inverted and rotated bar codes
- fixed manual feed on MACH 4S if Tear-off position is >5mm
- fixed manual feed with enabled 'Extrapolate labels' setting
- fixed internal test print after a manual feed
- the internal default certificate will be regenerated if expired
- fixed subnet mask of internally used IP address when using the external display
- support to set display orientation on MACH 4S

abc:
- fixed buffer overwrite when reading large data from standard input
- fixed return of unsupported SYSTEM$() command
- new command poke("cancel") to cancel current print job

*** 5.26 - 14 May 2019

Allgemein:
- Fehlerdialog anzeigen wenn Anfrage an DBF Datenbank ein leeres Resulat liefert
- Aufbereitung der Ruhezone von rotierten und invertierten Barcodes korrigiert
- Etikettenvorschub beim MACH 4S korrigiert wenn Abreißposition >5mm ist
- Etikettenvorschub bei aktivierter Einstellung 'Etiketten extrapolieren' korrigiert
- Interner Testdruck nach einem Etikttenvorschub korrigiert
- Das interne Standard-Zertifikat wird nach Ablauf automatisch erneuert
- Subnetzmakse der internen IP-Adresse bei Verwendung des externen Bedienfelds korrigiert
- Orientieung der Anzeige kann auch beim MACH 4S geändert werden

abc:
- Pufferüberlauf beim Einlesen von großen Datenmengen von Standardeingabe korrigiert
- Rückgabewert der nicht unterstützten Funktion SYSTEM$() korrigiert
- neues Kommando poke("cancel") um aktuellen Druckjob zu löschen


*** 5.25 - 07 Mar 2019

Common changes:
- support for external display
- new JScript 'E SQLITE' command to connect with local SQLite 3 databases
- support for verification of barcode images in JScript 'I' command
- improved end of paper detection of reflect material on MACH 4S
- fixed I/O signal PEELPOS when used together with an applicator
- support operation of an applicator without I/O module
- changing the date does not reset the seconds anymore
- fixed copying files from external storage to IFFS 'fonts' directory
- fixed closing network connection when using Microsoft Windows lpr client tool
- added support for US international keyboard
- fixed PIN protection for F1 keyboard shortcut (Load label)
- updated GS1 data verification to GS1 specification Release 19, Jan 2019
- added OPC UA server and client

*** 5.25 - 07 Mar 2019

Allgemein:
- Unterstützung für externes Bedienfeld
- neues JScript 'E SQLITE' Kommando zur Anbinding von lokalen SQLite 3 Datenbanken
- Unterstützung für die Verifizierung von Barcodes als Bilder im JScript 'I' Kommando
- Erkennung von Papierende bei Reflexmaterial beim MACH 4S verbessert
- E/A-Signal PEELPOS in Verwendung mit einem Applikator korrigiert
- Unterstützung für den Betrieb von Applikatoren ohne I/O-Modul
- Ändern des Datums setzt die Sekunden nicht mehr zurück
- Kopieren von Dateien von ext. Speicher in das IFFS-Verzeichnis 'fonts' korrigiert
- Trennen der Netzwerkverbindung bei Verwendung des Microsoft Windows lpr Tools korrigiert
- Unterstützung für Tastaturlayout US-International
- PIN-Schutz für F1-Tastaturkürzel (Etikett laden) korrigiert
- Prüfung von GS1-Daten gemäß GS1-Spezifikation Release 19, Jan 2019
- OPC UA Server und Client integriert


*** 5.24 - 21 Feb 2019

Common changes:
- improved print quality on models with 6"/200dpi print head

*** 5.24 - 21 Feb 2019

Allgemein:
- Druckqualität bei Modellen mit 6"/200dpi Druckkopf verbessert


*** 5.23 - 19 Dec 2018

Common changes:
- ensure correct order of JScript 'f' feed command and label data
- new JScript ESCb command to trigger action of peripheral button
- fixed handling of JScript input dialogs having a repeating job with A[?,R]
- fixed length check in JScript input dialog [?:...] with an input mask preventing spaces
- fixed check for max. print width on 600dpi models when specifying multiple labels per row
- auto correct the check digit in GS1 bar codes
- updated GS1 data verification to GS1 specification Release 18, Jan 2018
- fixed handling of binary data used in Data Matrix code
- fixed Data Matrix encoding when having data with FNC1 character
- added support for sending SNMP traps on 'Ribbon low' event
- localized messages in SNMP traps
- added missing namespace qualifiers in SOAP responses
- ensure user authentication prior to firmware update via web interface
- Info dialog updates automatically
- Help menu includes links to video tutorials as QR code
- IP address changes are announced using Gratuitous ARPs

abc:
- fixed processing of JScript print data generated within abc

*** 5.23 - 19 Dec 2018

Allgemein:
- Reihenfolge von JScript 'f' Vorschub-Kommando und Druckdaten wird eingehalten
- neues JScript ESCb Kommando um Aktion des Peripherie-Buttons auszulösen
- Abarbeitung von JScript Eingabedialogen bei wiederholendem Etikett mittels A[?,R] korrigiert
- Längenprüfung im JScript Eingabedialog [?:...] bei Eingabemasken die Leerzeichen verbieten korrigiert
- Prüfung der max. Druckbreite bei 600dpi und Etiketten mit Mehrfachnutzen korrigiert
- Prüfziffer in GS1-Barcodes wird automatisch korrigiert
- Prüfung von GS1-Daten gemäß GS1-Spezifikation Release 18, Jan 2018
- Verarbeitung von Binärdaten in DataMatrix-Code korrigiert
- Aufbereitung des DataMatrix Codes bei Daten mit FNC1 Zeichen korrigiert
- bei Folienvorwarnung kann ein SNMP-Trap verschickt werden
- übersetzte Texte in SNMP-Traps
- fehlende Angabe des Namespaces in SOAP-Antworten hinzugefügt
- Sicherstellung der Benutzerauthentifizierung vor einem Firmware-Update über das Webinterface
- Info Dialog wird automatisch aktualisiert
- Hilfe Menü enthält Links zu Videoanleitungen als QR-Code
- die Änderung der IP-Adresse wird über einen ARP-Anforderungs-Broadcast bekannt gegeben

abc:
- Verarbeitung von JScript Druckdaten, die in abc generiert werden, korrigiert


*** 5.22 - 16 Oct 2018

Common changes:
- fixed stepper current for EOS2 and EOS5 models
- fixed backfeed of continuous labels in tear-off mode
- fixed state of peripheral button in display in conjunction with S1000 applicator

*** 5.22 - 16 Oct 2018

Allgemein:
- Schrittmotorstrom für EOS2 und EOS5 Modelle angepasst
- Rückzug von Endlos-Etiketten im Abreißmodus korrigiert
- Zustand des Peripherie-Buttons im Display bei Verwendung mit S1000 Applikator korrigiert


*** 5.21 - 26 Sep 2018

Common changes:
- added support for new EOS2 and EOS5 models
- implemented canceling of the current print job using JScript ESCc command
- updated web server to handle SOAP requests using HTTP headers 'Transfer-Encoding: chunked' and 'Expect: 100-continue'
- fixed web site to support remote control of printer UI in recent Firefox browsers
- fixed handling of unsupported color formats in VNC server
- fixed confirmation of barcode rendering errors
- extended value range for menu item 'Peel-off position'

ZPL:
- added support for rotation of 2D barcodes

*** 5.21 - 26 Sep 2018

Allgemein:
- Unterstützung der neuen EOS2 und EOS5 Modelle
- Abbrechen des aktuellen Druckjobs mittels JSCript ESCc Kommando implementiert
- Webserver aktualisiert damit SOAP-Anfragen mit HTTP-Header 'Transfer-Encoding: chunked' und 'Expect: 100-continue' unterstützt werden
- Webseite korrigiert um Fernbedienung des Druckerdisplays in aktuellen Firefox Browsern zu unterstützen
- Behandlung von nicht unterstützen Farbformaten im VNC-Server korrigiert
- Bestätigung von Fehlern in der Aufbereitung von Barcodes korrigiert
- Wertebereich für Menüpunkt 'Spendeoffset' erhöht

ZPL:
- Unterstützung für Rotation von 2D-Barcodes


*** 5.20 - 16 Aug 2018

Common changes:
- fixed rendering of rectangular Datamatrix barcode using JScript option +RECT
- fixed handling of binary data for Datamatrix barcode when using JScript [BIN:] function
- fixed setting control bit 0 on the I/O module using JScript 'x' command
- improved print head history control
- added PIN protection for 'Copy files' and 'Default storage' in menu 'Storage device'

ZPL:
- ^MU command accepts lowercase letters to specify measurement unit

*** 5.20 - 16 Aug 2018

Allgemein:
- Aufbereitung des Datamatrix Barcodes bei Verwendung der JScript Option +RECT korrigiert
- Bearbeitung von Binärdaten für den Datamatrix Barcode bei Verwendung der JScript [BIN:] Funktion korrigiert
- Setzen von Steuersignal 0 auf dem I/O-Modul mittels JScript Kommando 'x' korrigiert
- Verbesserte Druckkopf History-Control
- PIN-Schutz für 'Dateien kopieren' und 'Standardspeicher' im Menü 'Speicher'

ZPL:
- ^MU Kommando akzeptiert Kleinbuchstaben zur Definition der Masseinheit


*** 5.19 - 17 Jul 2018

Common changes:
- extended JScript 'SPLIT' function to set user defined delimiter
- added support for JScript 'O F' command to clear queue of detected label positions
- new menu item 'Single label buffer' to render and print one label after another
- do not show successive JScript syntax error dialogs after canceling the erroneous job
- accept multiple RawIP connections while having one active connection
- added support for accessories connected to the I/O interface, e.g. Hand switch TR1

abc:
- sync data when writing files on external storage devices

ZPL:
- fixed rendering of Datamatrix barcode
- fixed second parameter in ^PQ command for cuts on every x label
- added original Zebra font as default font

*** 5.19 - 17 Jul 2018

Allgemein:
- JScript [SPLIT] Funktion zur Unterstützung von benutzerdefinierten Trennzeichen erweitert
- Unterstützung für JScript 'O F' Kommando um erkannte Etikettenpositionen zu löschen
- neuer Menüeintrag 'Einzeletikettpuffer' um ein Etikett nach dem andern aufzubereiten und zu drucken
- Anzeige von mehreren JScript Syntaxfehler Dialogen pro fehlerhaftem JScript Kommando korrigiert
- während einer aktiven RawIP-Verbindung werden weitere Verbindungen angenommen
- Unterstützung für Zubehör welches an die I/O-Schnittstelle angeschlossen wird, z.B. Handtaster TR1

abc:
- Daten werden beim Schreiben auf externe Speichermedien am Ende synchronisiert

ZPL:
- Aufbereitung des Datamatrix Barcodes korrigiert
- Zweiter Parameter im ^PQ Kommando zum Schneiden nach jedem x. Etikett korrigiert
- Original Zebra Schriftart als Standard-Schriftart integriert


*** 5.18 - 28 May 2018

Common changes:
- show number of remaining labels to be printed in error dialogs
- sensor calibration supports legacy SQUIX label sensors
- fixed check for buffer size in JScript 'd' command
- fixed JScript command 'A [$DBF]'
- translated captions in Notifications tab of web interface
- added support for kerning of characters using JScript 'T' command
- added support for new barcode type GS1 QR code

abc:
- fixed buffer overflow in date function
- fixed buffer overflow when reading Database Connector response

*** 5.18 - 28 May 2018

Allgemein:
- Restmenge der zu druckenden Etiketten wird in Fehlerdialogen angezeigt
- Sensorkalibrierung unterstützt SQUIX Etikettensensoren erster Generation
- Prüfung der Puffergröße im JScript Kommando 'd' korrigiert
- JScript Kommando 'A [$DBF]' korrigiert
- Texte im Reiter Benachrichtigungen der Webseite werden übersetzt
- Unterstützung für Unterschneidung (Kerning) von Buchstaben mittels JScript Kommando 'T'
- Unterstützung für neuen Barcode-Typ GS1 QR-Code

abc:
- Pufferüberlauf in der Datumsfunktion korrigiert
- Pufferüberlauf beim Einlesen der Antwort des Database Connectors korrigiert


*** 5.17 - 02 May 2018

Common changes:
- added support for Top-Reflect label sensor
- added support for START signals on labels with multiple cuts
- fixed JScript command 'M f' to format storage devices
- fixed string conversion for numbers with 10 digits
- fixed enabling/disabling RawIP network service
- new feature to set I/O input signal via ESC-command, e.g. ESCxinSTART;
- new feature to get I/O output signals via ESC-command, e.g. ESCxout
- new menu item 'Block ext. storage' to block usage of external USB/SD memory devices
- new menu item 'Block USB ports' to block operation of any attached USB device
- added links in Info dialogs to directly navigate to corresponding editor
- fixed keyboard shortcut 'Space' (pause) when using via web interface
- fixed setting default setup PIN '0000'
- enabled menu item 'No branding' in 'Service' menu for MACH 4S models

abc:
- added support for commands 'on interrupt continue' and 'on interrupt break'
- fixed selection of custom fonts depending on given typeface name
- fixed peek("xinput") with attached cutter
- fixed modality of abc window and printer error dialogs
- new feature to set I/O input signal using poke(), e.g. poke("io.xin"),"START"
- new feature to get I/O output signal using peek(), e.g. peek$("io.xout")
- new feature to get state of peel sensor using peek("peelmodule.sensorstate")

ZPL:
- accept whitespace before numbers, e.g. in ^PQ command
- do not throw syntax error for deprecated commands ^EF and ~EF

*** 5.17 - 02 May 2018

Allgemein:
- Unterstützung für Etikettensensor 'Reflex oben'
- Unterstützung von START Signalen bei Etiketten mit Doppelschnitt
- Formatieren von Speichermedien mittle JScript Kommando 'M f' korrigiert
- Konvertierung von Zahlen mit 10 Stellen in Text korrigiert
- Aktivieren/Deaktivieren des Netzwerkdienstes RawIP korrigiert
- Setzen von I/O-Eingangssignalen mittels ESC-Kommando, z.B. ESCxinSTART;
- Lesen der I/O-Ausgangssignale mittels ESC-Kommando ESCxout
- neuer Menüeintrag 'Ext. Speicher sperren' im Menü 'Sicherheit'
- neuer Menüeintrag 'USB-Ports sperren' im Menü 'Sicherheit'
- Links im Info-Dialog öffnen direkt den entsprechenden Einstellungsdialog
- Tastaturkürzel 'Leertaste' (Pause) bei Verwendung über die Webseite korrigiert
- Setzten der PIN '0000' korrigiert
- Menüeintrag 'Kein Branding' im 'Service' Menü für MACH 4S Modelle verfügbar

abc:
- Unterstützung der Kommandos 'on interrupt continue' und 'on interrupt break'
- Auswahl der Schriftart anhand des Schriftnamens korrigiert
- Funktion peek("xinput") bei angeschlossenem Messer korrigiert
- modales abc Fenster hält Drucker Fehlerdialoge im Hintergrund
- neue Funktion um I/O Eingangssignal mittels poke() zu setzen, z.B. poke("io.xin"),"START"
- neue Funktion um I/O Ausgangssignale mittels poke() zu lesen, z.B. poke$("io.xout")
- neue Funktion um Sensorzustand des Spendemoduls mittels peek("peelmodule.sensorstate") zu lesen

ZPL:
- Leerzeichen vor Zahlen werden akzeptiert, z.B. im Befehl ^PQ
- kein Syntaxfehler für nicht mehr unterstützte Befehle ^EF und ~EF


*** 5.16 - 12 Apr 2018

Common changes:
- fixed successive loading and printing of the same label file using 'Load label' menu item

*** 5.16 - 12 Apr 2018

Allgemein:
- mehrmaliges Laden und Drucken der gleichen Etikettendatei über den Menüeintrag 'Etikett laden' korrigiert


*** 5.15 - 05 Apr 2018

Common changes:
- adjusted base machine offsets for MACH 4S
- added support for Micro QR Code barcodes
- added support for Datamatrix Rectangle Extension (DMRE) barcodes
- omit a second cut at a position of a previous cut
- fixed check for cuts at invalid positions which caused loss of synchronisation
- accept upper-/lowercase field variable names in JScript 'A' command
- new menu item 'No branding' in 'Service' to hide logo in main view on display
- added support for Cherry, Logitech and Microsoft keyboards

*** 5.15 - 05 Apr 2018

Allgemein:
- modelspezifische Basisoffsets für MACH 4S korrigiert
- Unterstützung für Micro QR Barcodes
- Unterstützung für die Datamatrix Barcode Erweiterung DMRE
- zweiter Schnitt an gleicher Position wird unterdrückt
- Prüfung auf gültige Schneideposition korrigiert
- Gross-/Kleinschreibung von Feldnamen werden im JScript 'A' Kommando akzeptiert
- neuer Menüeintrag 'Kein Branding' im Menü 'Service' um Logo in der Hauptansicht des Displays auszublenden
- Unterstützung für Tastaturen von Cherry, Logitech und Microsoft


*** 5.14 - 20 Feb 2018

Common changes:
- added JScript 'O L' parameter to set length scale in JScript
- extended JScript 'A' command to use dynamic amount of labels from field variable
- implemented JScript 'O Wi' command
- consider time zone changes in JScript time and date functions
- fixed handling of errors when confirming an error dialog with JScript ESCc or ESCt command
- fixed calculation of free buffer size in response of JScript ESC? command
- added 'Ignore' button to confirm a barcode error dialog
- always print barcodes when 'Barcode error' is turned off
- fixed placement of rotated barcodes having a width equal the label width
- added Truetype font with JScript ID 1001 supporting Traditional Chinese
- added sensor calibration to event log
- avoid 'Out of ribbon' errors in thermal direct mode due to mechanical vibrations
- set minimum raise time of I/O signal PEELPOS (legacy XESP) to 20ms
- increased cap of burn time per dot line by 20% for 600dpi print heads
- added support for Wi-Fi regulatory domain updates
- integrated Wi-Fi WPA2 security patches against KRACK vulnerability
- extended PIN protection to define protected menu level - complete menu or submenu 'Setup'
- changed default setting for menu item 'Zeroconf' to 'On'
- new menu item 'TLS/SSL' in 'Security' to enable secure connections for web site (HTTPS) and FTP (FTPS)
- new menu item 'Ignore paper end' in 'Labels'
- new menu items 'Start delay' and 'Lock time' in 'I/O'
- added language translations for Estonian, Latvian and Traditional Chinese
- fixed display issues when using Thai language

abc:
- added system call peek("lcd_orientation") to get display orientation
- added system call peek("lcd_resolution") to get display resolution
- fixed handling of multiple function calls when painting onto abc GUI window

*** 5.14 - 14 Feb 2018

Allgemein:
- neuer JScript 'O L' Parameter um die Längenskalierung via JScript zu setzen
- JScript 'A' Kommando erweitert um dynamische Druckanzahl aus Feldvariablen zu verwenden
- JScript 'O Wi' Parameter implementiert
- Änderung der Zeitzone wird in den JScript Datums- und Zeitfunktionen berücksichtigt
- Fehlerbehandlung korrigiert wenn ein Fehlerdialog mittels JScript ESCc oder ESCt quittiert wird
- Berechnung der freien Puffergröße in der Antwort des JScript ESC? Kommandos korrigiert
- Button 'Ignorieren' zur Bestätigung eines Barcodefehler-Dialogs hinzugefügt
- Bei ausgeschaltetem 'Barcodefehler' werden Barcodes immer gedruckt
- Platzierung von rotierten Barcodes, welche die volle Etikettenbreite nutzen, korrigiert
- Truetype Schriftart für traditionelles Chinesisch mit JScript ID 1001 hinzugefügt
- Sensorkalibrierung zum Event-Log hinzugefügt
- Fehler 'Folie zu Ende' wird im Thermodirekt-Modus aufgrund von mech. Vibrationen unterdrückt
- minimale Haltezeit des I/O-Signals PEELPOS (bisher XESP) auf 20ms gesetzt
- Limitierung der max. Heizzeit pro Druckzeile für die 600dpi Druckköpfe um 20% erhöht
- Unterstützung von WLAN Regulierungsdomänen hinzugefügt
- WLAN WPA2 Sicherheits-Patches gegen KRACK-Attacke integriert
- PIN-Schutz erweitert um ganzes Menü oder Untermenü 'Einstellungen' zu schützen
- Standardeinstellung für den Menüeintrag 'Zeroconf' auf 'Ein' geändert
- neuer Menüeintrag 'TLS/SSL' im Menü 'Sicherheit' für verschlüsselte Verbindungen der Webseite (HTTPS) und FTP (FTPS)
- neuer Menüeintrag 'Papierende ignorieren' im Menü 'Etiketten'
- neuer Menüeintrag 'Startverzögerung' und 'Sperrzeit' im Menü 'I/O'
- Übersetzungen für die Sprachen Estnisch, Lettisch und Chinesisch (Traditionell) hinzugefügt
- Darstellungsproblem im Display bei Verwendung von Thai korrigiert

abc:
- neue Systemfunktion peek("lcd_orientation") um die Displayorientierung zu erfragen
- neue Systemfunktion peek("lcd_resolution") um die Displayauflösung zu erfragen
- Abarbeitung von vielen Funktionsaufrufen beim Zeichnen in das abc GUI-Fenster verbessert


*** 5.13 - 24 Nov 2017

Common changes:
- added support for SQUIX 2" models
- fixed handling of negative peel offset
- complete JScript input prompts before waiting for START signal
- fixed JScript [DATE] format for US locale
- disabled Wi-Fi test print when in 'Hotspot' operation mode
- hide entered characters in password dialogs
- changed max. value for menu item 'Print position X' to half of the print width
- fixed visibility of menu item 'Pause on warning' in 'Ribbon' menu
- keep RawIP connection open when changing display orientation

abc:
- fixed simultaneously reading data from abc script and a label file

*** 5.13 - 17 Nov 2017

Allgemein:
- Unterstützung der SQUIX 2" Modelle hinzugefügt
- Behandlung von negativem Spendeoffset korrigiert
- JScript Eingabedialoge werden vor dem Warten auf ein START-Signal abgearbeitet
- Format der JScript [DATE] Funktion für das Land US korrigiert
- WLAN Testdrucke in der Betriebsart 'Hotspot' deaktiviert
- Eingegebene Zeichen bei Passworteingaben werden versteckt
- Max. Wert im Menüpunkt 'Druckposition X' auf die Hälfte der Druckbreite erhöht
- Sichtbarkeit des Menüpunkts 'Pause bei Warnung' im 'Farbband' Menü korrigiert
- RawIP Verbindung bleibt beim Ändern der Displayorientierung offen

abc:
- paralleles Lesen von Daten aus abc Skript und Etikettendatei korrigiert


*** 5.12 - 26 Oct 2017

Common changes:
- display remainig labels to be printed in pause state
- whitespace at end of file names in JScript is ignored
- new menu item 'Slippage correction' to compensate slippage using given/measured label size
- new menu item 'RawIP port' to freely configure used RawIP port number
- new menu item 'RawIP timeout' to configure the keepalive timeout of an inactive RawIP connection
- close RawIP connection on link down
- fixed size of sofware keyboard in input dialog
- fixed online state of ESCs response while in ASCII dump mode
- added WiFi Hotspot widget in status bar

ZPL:
- fixed max. value of print width for 2" and 6" models

*** 5.12 - 26 Oct 2017

Allgemein:
- Im Pausezustand wird die Restmenge angezeigt
- Leerzeichen am Ende eines Dateinamens in JScript werden ignoriert
- Neuer Eintrag im 'Drucken' Menü' um mittels dem Etikettenabstand den Schlupf zu kompensieren
- Neuer Eintrag im 'Netzwerkdienste' Menü um den RawIP-Port frei zu konfigurieren
- Neuer Eintrag im 'Netzwerkdienste' Menü um die Zeitdauer zu definieren, wie lange eine inaktive RawIP-Verbindung offen bleibt
- aktive RawIP-Verbindung wird beim Abziehen des Netzwerkkabels beendet
- Darstellungsproblem in der Software-Tastatur in dein Eingabedialogen korrigiert
- Online-Status in ESCs Antwort im Monitormodus korrigiert
- WLAN Hotspot Widget in Statusleiste hinzugefügt

ZPL:
- Max. Einstellung der Druckbreite für 2"- und 6"-Modelle korrigiert


*** 5.11 - 22 Sep 2017

Common changes:
- added support for MACH 4S models as dispensing version and version with cutter
- included settings from 'Service' menu in status print
- print label profile when no label was registered, instead of 'No label found' error
- made detection of missing labels is independent of print position Y
- adapted resetting of I/O signal XEDG to be compliant with A+ series printers
- fixed pause at end of print job
- fixed calculation of ribbon diameter on MACH 4S using outside coated ribbon
- fixed permission issue on IFFS when uploading files via FTP
- new feature to configure printer as Wi-Fi hotspot
- added PCB serial number to USB device descriptor
- updated 'Loading ribbon' help video

abc:
- extended exists() function to check for a valid database connection

*** 5.11 - 22 Sep 2017

Allgemein:
- Unterstützung der MACH 4S Modelle als Spendeversion und Version mit Schneidemesser
- Einstellungen aus dem 'Service' Menü werden im Statusausdruck aufgelistet
- Etikettenprofil wird gedruckt, auch wenn kein Etikett erkannt wurde
- Erkennung von fehlenden Etiketten unabhängig des eingestellen Druckoffset Y
- Zeitpunkt des Rücksetzens des I/O-Signals XEDG an die A+-Serie angepasst
- Pause am Jobende korrigiert
- Berechnung des Foliendurchmessers beim MACH 4S mit außengewickelter Folie korrigiert
- Berechtigungen im IFFS beim Hochladen von Dateien via FTP korrigiert
- Möglichkeit, den Drucker als WLAN-Hotspot zu konfigurieren
- Board-Seriennummer in USB Geräte-Deskriptor hinzugefügt
- Hilfe-Video 'Farbband einlegen' aktualisiert

abc:
- exists() Funktion erweitert um auf gültige Datenbankverbindung zu prüfen


*** 5.10 - 25 Aug 2017

Common changes:
- support for MACH 4S printer models
- sensor calibration analogous the A+/Mach4 series
- softer stop ramp when stopping stepper motor
- decreased base tear-off position by 1mm
- fixed position of label edge indicator line on label profile test print
- fixed status test print in Farsi
- fixed handling of daylight saving time using JScript 's' command
- translate label of dialog's close button
- added progress dialog when copying files and formatting a storage device

*** 5.10 - 25 Aug 2017

Allgemein:
- Unterstützung der MACH 4S Modelle
- Ablauf der Sensorkalibrierung analog der A+/Mach4 Serie
- Weichere Stopprampe beim Anhalten des Schrittmotors
- Basiswert der Abreißposition um 1mm reduziert
- Position der Markierung der Etikettenkanten im Etikettenprofil korrigiert
- Statusausdruck in Farsi korrigiert
- Berücksichtigung der Sommer-/Winterzeit beim Setzen der Zeit über JScript 's'-Kommando korrigiert
- Übersetzung des 'Schließen'-Buttons in Dialogen hinzugefügt
- Fortschrittsdialog beim Kopieren von Dateien und beim Formatieren von Speicherkarten hinzugefügt


*** 5.09 - 21 Aug 2017

Common changes:
- added support for new label sensor hardware on SQUIX models
- fixed saving and restoring print head X and Y zero positions

*** 5.09 - 21 Aug 2017

Allgemein:
- Unterstützung des neuen Etikettensensors für SQUIX Modelle
- Speichern und Laden der Druckkopf Nullposition korrigiert


*** 5.08 - 28 Jul 2017

Common changes:

- reduced delay between LBLREM and START signal when printing subsequent labels
- fixed clipping of rendered text on left-orientated models
- fixed label synchronisation when reusing saved label positions after printer restart
- fixed cuts and double cuts within a label
- disabled evaluation of legacy I/O signals on PS800, PS900 and PS1000
- enabled out of paper detection when using reflect sensor
- changed PMIC configuration to eliminate sporadic loss of power on main board
- disabled Cancel button in user interface if reprinting is disabled
- fixed Chinese date formatting in header of test prints
- added missing translations in web interface
- added support for legacy Service key
- extended tolerance for 'No label found' error to behave as the A+ models
- monitor ribbon ink side also when feeding, not only when printing
- show error 'Pinch roller open' in ESCs response ('D')
- extended JScript [WLOG] command to configure encoding of log file
- show data transfer in status bar widget when sending a firmware package
- show error dialog when decoding of downloaded binary data fails
- show error dialog on insufficient memory space, e.g. when using JScript [WTMP] or [WLOG]
- set keyboard layout in the software keyboard according to the menu setting
- added missing symbol on CapsLock button in the software keyboard
- accept keyboard shortcuts while printer is in sleep mode
- added support for Enter key on numerical keypad in input dialogs
- new menu item in 'Ethernet' and 'WiFi' menu to configure DNS server
- new menu item in 'Diagnostics' menu to view print head information
- new menu item in 'I/O' menu to enable legacy mode for signals XDNB and XEDG to get A1000 compatibility
- new menu item in 'Service' menu to set print head X and Y zero positions
- moved menu item 'Length scale' from 'Service' to 'Printing' menu
- added support to configure connections to open WiFi access points
- allow to install a new firmware on startup if current printer model configuration is invalid
- reorganized order of information in 'Info' dialog
- show service counters in 'Info' dialog

abc:
- added support for /dev/jscript device
- fixed reading/writing from invalid stream
- allow multiple parallel SQL connections
- fixed data loss when using /dev/rs232 device
- fixed handling of optional configuration for /dev/rs232 device
- postpone printer error dialogs while opening modal abc window
- fixed response if SQL query returns empty record
- added support for poke("syserror")

*** 5.08 - 28 Jul 2017

Allgemein:

- Verzögerung zwischen LBLREM- und START-Signal bei aufeinander folgenden Etiketten reduziert
- Clipping beim Rendern von Texten bei linksorientierten Modellen korrigiert
- Etikettensynchronisation nach Neustart des Druckers korrigiert
- Schnitte und Doppelschnitte innerhalb eines Etiketts korrigiert
- Auswertung von obsoleten I/O-Signalen bei den Spendemodulen PS800, PS900 und PS1000 entfernt
- Erkennung von Papierende im Reflexmodus aktiviert
- Konfiguration des PMIC-Kontrollers korrigiert um sporadisches Abschalten der Boardspannung zu verhindern
- Knopf 'Abbrechen' in der Hauptansicht deaktiviert wenn Wiederholdruck ausgeschaltet ist
- Chinesisches Datumsformat im Kopf der Testausdrucke korrigiert
- Fehlende Übersetzungen auf der Druckerwebseite hinzugefügt
- Unterstützung für die erste Generation der Service-Keys hinzugefügt
- Suchtoleranz beim Fehler 'Kein Etikett' erhöht um dem Verhalten des A+-Modells zu entsprechen
- Wickelrichtung des Farbbands beim Vorschub ebenfalls prüfen, nicht nur beim Drucken
- Fehler 'Andrucksystem offen' in ESCs Antwort abbilden ('D')
- JScript Befehl [WLOG] erweitert um Kodierung der Logdatei zu definieren
- Datenübertragung wird im Widget in der Statusleiste beim Senden einer Firmwaredatei angezeigt
- Bei fehlerhaften Download-Daten wird ein Fehlerdialog angezeigt
- Bei fehlendem Speicherplatz wird ein Fehlerdialog angezeigt, z. B. in Verwendung mit JScript [WTMP] oder [WLOG]
- Tastaturlayout in der Software-Tastatur richtet sich nach dem Menüeintrag 'Tastatur'
- Fehlendes Zeichen in der CapsLock-Taste im Software-keyboard hinzugefügt
- Tastaturkürzel werden auch im Schlafmodues des Druckers behandelt
- Enter-Taste auf numerischem Tastaturblock wird in Eingabedialogen berücksichtigt
- Neuer Eintrag im 'Ethernet' und 'WLAN' Menü um einen DNS-Server zu konfigurieren
- Neuer Eintrag im 'Diagnose' Menü um Informationen zum Druckkopf anzuzeigen
- Neuer Eintrag im 'I/O' Menü um Kompatibilitätsmodus für Signale einzuschalten
- Neuer Eintrag im 'Service' Menü um die Nullposition des Druckkopfs einzustellen
- Menüeintrag 'Längenskalierung' von 'Service' nach 'Drucken' verschoben
- WLAN-Assistent erweitert um Verbindungen zu offenen WLAN-Netzen einzurichten
- bei ungültiger Modellkonfiguration beim Starten ein Firmware-Update ermöglichen
- Informationen im 'Info' Dialog neu gruppiert
- Servicezähler werden im 'Info' Dialog bei gestecktem Service-Key angezeigt

abc:
- Unterstützung für das Device /dev/jscript hinzugefügt
- Lesen/Schreiben auf ungültigem Datenstrom korrigiert
- Unterstützung für mehrere gleichzeitige SQL-Verbindungen
- Datenverlust bei Verwendung der seriellen Schnittstelle /dev/rs232 korrigiert
- Konfiguration der seriellen Schnittstelle /dev/rs232 korrigiert
- Anzeige von Fehlerdialogen mit der Anzeige eines abc Fensters synchronisiert
- Antwort, wenn SQL-Anfrage einen leeren Datensatz zurückliefert, korrigiert
- Unterstützung für den Aufruf poke("syserror") hinzugefügt


*** 5.07 - 17 Jul 2017

Common changes:
- added support for cutter unit CU6

*** 5.07 - 17 Jul 2017

Allgemein:
- Unterstützung für Schneidemesser CU6


*** 5.06 - 01 Jun 2017

Common changes:
- fixed writing operational data back to print head
- changed default print speed to 100mm/s

*** 5.06 - 01 Jun 2017

Allgemein:
- Speichern von Betriebsdaten auf dem Druckkopf korrigiert
- Standarddruckgeschwindigkeit auf 100mm/s geändert


*** 5.05 - 30 May 2017

Common changes:
- added support for S5104 peel module
- added support for S1000/S3200 applicators
- added support for I/O signals XRST, XBit0 and XBit3 on A1000 applicator
- added support for ER1 external rewinder
- added 6" models 6.3/200 and 6.3/300
- fixed backfeed mode 'smart' in conjunction with 'Print on demand'
- fixed autoload feature of JScript 'I' command
- sync data to storage device when using JScript [WTMP]
- fixed handling of long file names in JScript 'Mc' command
- fixed numeric compaction in PDF417 barcode
- added support for file names with umlauts
- support for printing UCS encoded files using FTP
- improved error handling within test prints
- fixed keyboard mapping in 'Automatic' mode
- locale dependent time format in status bar
- fixed setting new VNC password
- increased max. baud rate of RS232 to 230400 bps
- added feature to update printer configuration via FTP (user ftpadmin)
- fixed Help menu in web interface using Chrome browser on Windows

abc:
- fixed initialization of empty strings

ZPL:
- do not check or adjust EAN13 checksums as done by default in JScript

*** 5.05 - 30 May 2017

Allgemein:
- Unterstützung für S5104 Spendemodul
- Unterstützung für S1000/S3200 Applikatoren
- Unterstützung für I/O-Signale XRST, XBit0 und XBit3 am A1000 Applikator
- Unterstützung für externen Aufwickler ER1
- 6" Modelle 6.3/200 und 6.3/300 hinzugefügt
- Modus 'Rückzug optimiert' bei Verwendung von 'Drucken auf Anforderung' korrigiert
- Automatisches Laden von Bildern mittels JScript 'I' Kommando korrigiert
- Zurückschreiben auf Datenträger bei Verwendung von JScript [WTMP] sichergestellt
- Ausgabe von langen Dateinamen im JScript 'Mc' Kommando korrigiert
- Ziffernkomprimierung beim Barcode PDF417 korrigiert
- Unterstützung für Dateinamen mit Umlauten hinzugefügt
- Unterstützung für UCS kodierte Dateien über FTP hinzugefügt
- Fehlerbehandlung während Testdruck verbessert
- Tastatureinstellung 'Automatisch' korrigiert
- Länderspezifisches Zeitformat in der Statusleiste
- Setzen des VNC Passworts korrigiert
- Max. Baudrate der RS232-Schnittstelle auf 230400 bps erhöht
- Funktionalität um Druckkonfiguration via FTÜ (Benutzer ftpadmin) zu aktualisieren
- Ansicht des Hilfe-Menüs im Webinterface im Chrome Browser unter Windows korrigiert

abc:
- Initialisierung von leeren Zeichenketten korrigiert

ZPL:
- EAN13 Prüfsummen standartmäßig nicht prüfen


*** 5.04 - 07 Apr 2017

Common changes:
- added thick film printhead models 4.3/200 and 4.3/300
- added monitoring of ribbon ink side - outside or inside inking
- added support for Barcode tester accessory
- removed ribbon monitoring in form feed
- fixed handling of missing labels with disabled tear-off mode
- fixed calculation of stop position at end of job with disabled tear-off mode
- fixed path handling when accessing files on default storage device
- fixed bug in rendering of rotated images
- accept max. print width of 105.7mm on 600dpi models
- support length limitation in JScript input prompt
- fixed JScript [SELECT] command
- extended keyboard support to navigate in selection lists
- fixed display of error messages including umlauts
- completed translations for all languages
- fixed status data in SNMP MIB tables hrDeviceTable and hrPrinterTable
- added VNC and SOAP to announced Zeroconf services

abc:
- added support for graphic functions
- fixed buffer overwrite on syntax error
- fixed size issue in memory allocations

*** 5.04 - 07 Apr 2017

Allgemein:
- Druckermodelle 4.3/200 und 4.3/300 mit Dickschicht-Druckköpfen hinzugefügt
- Überwachung der Folienabwicklung, Innen/Außen Wicklung, hinzugefügt
- Unterstützung für Barcodeprüfgerät
- Überwachung der Folienabwicklung beim Vorschub entfernt
- Behandlung von fehlenden Etiketten bei deaktiviertem Abreißmodus behoben
- Berechnung der Parkposition am Ende eines Auftrags bei deaktiviertem Abreißmodus korrigiert
- Zugriffe auf Dateien auf dem Standard Speichermedium korrigiert
- Fehler beim Rendern von rotierten Bildern korrigiert
- Max. Druckbreite bei 600dpi Modellen auf 105.7mm korrigiert
- Längenlimitierung im JScript Eingabedialog wird berücksichtigt
- JScript Befehl [SELECT] korrigiert
- Tastaturbedienung in Auswahllisten erweitert
- Darstellung von Fehlermeldungen mit Umlauten korrigiert
- Übersetzungen für alle Sprachen vervollständigt
- Status in SNMP Printer-MIB Tabellen hrDeviceTable und hrPrinterTable korrigiert
- Netzwerkdienste VNC und SOAP werden über Zeroconf bekanntgegeben

abc:
- Unterstützung der Grafikfunktionen
- Speicherüberschreibung bei Syntaxfehler korrigiert
- Fehlerhafte Speicherallokationen korrigiert


*** 5.03 - 01 Feb 2017

Common changes:
- adjusted heating values and limits for 600dpi printhead
- added VNC server to remotely control the printer's display
- added support for Bluetooth SPP (Serial Port Profile)
- more comprehensive legal notices regarding open source software
- fixed JScript 'l' command and the locale dependent date/time functions
- fixed special content fields including umlauts, e.g. in date/time functions
- fixed JScript 'R' command to not double the characters in replaced text
- fixed processing of labels with input prompts when previous job was canceled
- fixed validation of preset value in input prompt
- fixed loading of custom font from IFFS
- show keypad if mask of input prompt only allows numerical values
- use the label's origin memory device as source to search for referenced resources
- fixed network scan when printing multiple successive WiFi test prints
- fixed calculation of height and variance in label profile test print with small labels
- send 'Gratuitous ARP Response' upon assignment of an IP address
- fixed configuration of network interfaces in DHCP mode and plugging/unplugging network cable
- fixed firmware update via web interface
- set default backfeed speed to 100mm/s
- updated Czech, French, German, Polish, Portuguese and Russian translations

abc:
- added widget in status bar indicating running abc label

ZPL:
- ignore whitespace in data of graphic download
- command ^FS (Field Separator) is also accepted as ^FSN
- command ^XG (Recall Graphics) accepts float value for coordinates
- command ^A (Font) accepts '0' as orientation parameter
- fixed font scaling for Zebra font 'F'

*** 5.03 - 01 Feb 2017

Allgemein:
- Heizzeiten für 600dpi Druckkopf angepasst
- VNC-Server für Fernzugriff auf Druckerdisplay hinzugefügt
- Unterstützung für Bluetooth SPP (Serial Port Profile) hinzugefügt
- rechtliche Hinweise zu Open Source Software vervollständigt
- JScript Befehl 'l' und länderspezifische Datums- und Uhrzeitfunktionen korrigiert
- Umlaute in Spezialbefehlen korrigiert, z. B. in Datums- und Uhrzeitfunktionen
- Doppelte Zeichen in Feldern, die mit JScript Befehl 'R' ersetzt wurden, entfernt
- Verarbeitung von Etiketten mit Benutzereingaben korrigiert, wenn vorheriger Job abgebrochen wurde
- Validierung des Vorgabewertes in JScript Eingabemaske korrigiert
- Laden von Schriftarten aus dem IFFS korrigiert
- Nummernblock bei Benutzereingaben anzeigen, wenn die Eingabemaske nur Zahlen erlaubt
- Speicherquelle des Etiketts für die Suche nach referenzierten Resourcen verwenden
- Suche nach Netzen bei wiederholtem Ausdruck des WLAN Testdrucks korrigiert
- Berechnung der Höhe und Varianz im Etikettenprofil bei kleinen Etiketten korrigiert
- bei Zuweisung einer IP-Adresse wird eine 'Gratuitous ARP Response' verschickt
- Konfiguration der Netzwerkschnittstelle bei DHCP und anstecken/abziehen des Netzwerkkabels korrigiert
- Firmware-Update via Webseite des Druckers korrigiert
- Rückzuggeschwindigkeit defaultmäßig auf 100mm/s gesetzt
- Übersetzungen für Tschechisch, Französisch, Deutsch, Polnisch, Portugiesisch und Russisch aktualisiert

abc:
- Widget in der Statusbar zeigt laufendes abc Programm

ZPL:
- Whitespace in Downloaddaten einer Grafik werden ignoriert
- Befehl ^FS (Field Separator) wird auch als ^FSN akzeptiert
- Befehl ^XG (Recall Graphics) akzeptiert Kommazahlen für Koordianten
- Befehl ^A (Font) akzeptiert '0' für Parameter 'Orientation'
- fixed font scaling for Zebra font 'F'


*** 5.02 - 04 Nov 2016

Common changes:
- added support for SQUIX T-model (no backfeeds, monitoring of separator)
- fixed detection of I/O hardware
- fixed rendering of new labels while a running job is paused
- fixed USB Class/Subclass in device list test print
- close error dialogs when confirming via interface
- added keyboard support in date/time dialog
- updated Bulgarian, French and German translations

*** 5.02 - 04 Nov 2016

Allgemein:
- Unterstützung für das SQUIX T-Modell (kein Rückzug, Überwachung des Separators)
- Erkennung der I/O-Schnittstelle korrigiert
- Aufbereitung des Druckbildes während ein laufender Job in Pause ist korrigiert
- Ausgabe der Class/Subclass im Geräteliste Testdruck korrigiert
- Fehlerdialoge werden geschlossen wenn Bestätigung über I/O-Schnittstelle kommt
- Tastaturbedienung im Datum/Uhrzeit Dialog hinzugefügt
- Übersetzungen für Bulgarisch, Französich und Deutsch aktualisiert


*** 5.01 - 21 Oct 2016

Common changes:
- added support for new SQUIX I/O interface
- added additional button on display's main view depending on attached peripheral
- added monitoring of pinch roller
- fixed print sequence using 'Print on demand' menu item
- fixed setting printer model when detecting a printhead change
- fixed feed after test print in peel mode
- removed cut in cutter device initialization
- fixed numeric values in status print
- fixed value range for menu item 'Print position X' on left-orientated printers
- fixed resetting passwords using menu item 'Reset settings' or 'Reset passwords'
- fixed acknowledge of 'Cutter cover open' error
- fixed resetting of ESCs 'Interpreter active' status
- added support for JScript immediate command 's' to set date/time
- fixed naming of USB speeds in device list
- fixed sizes of memory devices >4GB in device list
- prevent translation of title in input prompt dialog
- changed label and icon in 'Syntax error' dialog
- changed icons for menu items 'Print position X' and 'Print position Y'
- removed menu item to change display orientation
- show menu item 'Perforation level' only with perfocation cutter
- fixed calculation of perforation level
- improved memory device write performance
- fixed firmware update using USB device interface
- disable WiFi test print if no WiFi adapter is attached
- fixed evaluation of WiFi scan with empty SSID entries
- added support for IEEE 802.11a/c/n devices, i.e. 5GHz WiFi adapters
- added support for new USB IDs used for peel-off adapters PS800 and PS900
- OEM key now includes Service key functionality

*** 5.01 - 21 Oct 2016

Allgemein:
- Unterstützung der neuen SQUIX I/O-Schnittstelle
- zusätzlicher Button in Display abhängig von angeschlossener Peripherie
- Überwachung der Andrucksystems für das P-Modell hinzugefügt
- Druckablauf bei Option 'Drucken auf Anforderung' korrigiert
- Setzen des Druckermodells nach Druckkopfwechsel 300dpi/600dpi korrigiert
- Vorschub nach einem Testausdruck im Spendemodus korrigiert
- Schnitt bei der Initialisierung des Schneidemessers entfernt
- Numerische Werte im Stausausdruck korrigiert
- Wertebereich für Menüpunkt 'Druckoffset X' bei linksorientierten Modellen korrigiert
- Rücksetzen der Passwörter mit Menüpunkt 'Einstellungen zurücksetzen' oder 'Passwörter zurücksetzen' korrigiert
- Bestätigung des Fehlers 'Messerabdeckung geöffnet' korrigiert
- Zurücksetzen des Status 'Interpreter aktiv' in ESCs Antwort korrigiert
- Unterstützung für das Setzen von Datum/Uhrzeit über JScript Kommandos 's' hinzugefügt
- Bezeichnungen der USB-Geschwindigkeiten in der Geräteliste korrigiert
- Angabe der Größe von Speichermedien >4GB in Geräteliste korrigiert
- Übersetzung des Titels in JScript Eingabedialogen unterdrückt
- Text und Icon für 'Syntaxfehler' geändert
- Icons für Menüpunkte 'Druckoffset X' und 'Druckoffset Y' geändert
- Menüpunkt 'Ausrichtung' im Display Menü entfernt
- Menüpunkt 'Perforationsgrad' nur mit Perfirationsmesser zugänglich
- Berechnung des Perforationsgrades korrigiert
- Schreibgeschwindigkeit auf externe Speichermedien erhöht
- Firmwareaktualisierung über USB Device Schnittstelle korrigiert
- WLAN-Testausdruck nicht zugänglich wenn kein WLAN-Adapter angeschlossen ist
- WLAN AccessPoint Suche mit leeren SSIDs korrigiert
- Unterstützung für IEEE 802.11a/c/n 5GHz WLAN-Sticks
- Unterstützung für neue USB IDs der Spendeadapter PS800 und PS900
- OEM-Key beinhaltet Service-Key Funktionalität


*** 5.00 - 30 Aug 2016

Initial release of the SQUIX series printer


*** 5.00 - 30 Aug 2016

Erste Version für die SQUIX Modellreihe
